<?php
// Customizer Default Data
if ( ! function_exists( 'rttheme_generate_defaults' ) ) {

    function rttheme_generate_defaults() {
        $customizer_defaults = array(

            // General  
            'logo'              => '',
            'logo_dark'         => '',
            'logo_width'        => '',          
            'mobile_logo_width' => '',         

            'back_to_top'     => 1,
            'sticky_header'   => 0,
            'top_bar'         => 0,

            // Contact Socials
            'phone_label'   => 'Call Us',
            'phone'         => '+888-123-4567',
            'email_label'   => 'Email Us',
            'email'         => 'example@example.com',
            'opening_label' => 'Saturday - Sunday',
            'opening'       => '09:00AM - 10:00PM',
            'address_label' => 'Address',
            'address'       => '40 Park Ave, Brooklyn, New York',

            'socials'          => 0,
         
            'social_facebook'  => '#',
            'social_twitter'   => '#',
            'social_behance'   => '#',
            'social_pinterest' => '#',
            'social_gplus'     => '',
            'social_linkedin'  => '',
            'social_dribbble'  => '',
            'social_youtube'   => '',
            'social_instagram' => '',
            'social_skype'     => '',

            // header
            'top_bar_style'            => 1,
            'header_style'             => 2,
            'transparent_header'       => 1,
            'page_header_style'        => 1,
            'menu_right_part'          => 0,
            'search_icon'              => 1,
            'menu_button'              => 1,
            'menu_btn_label'           => 'Free Consultation',
            'menu_btn_link'            => '#',
            'menu_phone'               => '01654.066.456',

            //Global Color
            'primary_color'   => '',
            'secondary_color' => '',
            'body_color'      => '',

            // Main Menu Style
            'main_menu_style'            => 0,
            'main_menu_font_color'       => '',
            'main_menu_font_hover_color' => '',
            'sub_menu_font_color'        => '',
            'sub_menu_font_hover_color'  => '',
            'sub_menu_bg_hover_color'    => '',
            'resmenu_width'              => '1199',

            // Page layout 
            'page_layout'                 => 'right-sidebar',
            'page_banner'                 => 1,            
            'page_banner_bg_type'         => 'bgcolor',            
            'page_banner_bgcolor'         => '',        
            'page_banner_bgimg'           => '',            
            'page_banner_bgimage_overlay' => '#000000',         
            'page_overlay_opacity'        => '50',      
            'page_breadcrumb'             => 0,
            'page_inner_padding_top'      => '290',
            'page_inner_padding_bottom'   => '160',

            // Blog layout 
            'blog_layout'        => 'right-sidebar',

            // Single Page layout
            'single_post_layout'                 => 'right-sidebar',
            'single_post_banner'                 => 1,
            'single_post_banner_bg_type'         => 'bgcolor',
            'single_post_banner_bgcolor'         => '',
            'single_post_banner_bgimg'           => '',
            'single_post_banner_bgimage_overlay' => '#000000',
            'single_post_overlay_opacity'        => '50',
            'single_post_breadcrumb'             => '',
            'single_post_inner_padding_top'      => '290',
            'single_post_inner_padding_bottom'   => '150',

            // Blog Post
            'blog_style'       => 1, 
            'blog_date'        => 1, 
            'blog_author_name' => 1, 
            'blog_cats'        => 1,  
            'excerpt_length'   => 200,

            // Blog single layout 
            'post_date'               => 1,
            'post_tags'               => 1,
            'post_cats'               => 1,
            'post_navigation'         => 1,
            'post_social_share'       => 0,
            'post_social_share_icons' => 0,

            // Gallery Post
            'gallery_style'           => 1, 
            'gallery_archive_number'  => 6, 
            'gallery_archive_orderby' => 'date', 
            'gallery_cols_width'      => '4', 
            'gallery_slug'            => '', 

            // Team Archive
            'team_archive_number'               => get_option( 'posts_per_page' ),
            'team_archive_social'               => 1,
            'team_archive_name'                 => 1,
            'team_archive_designation'          => 1,
            'team_archive_title'                => 1,
            'team_archive_title_text'           => 'Meet Our Attorneys',
            'steam_page_banner'                 => 1,
            'steam_page_banner_bg_type'         => 'bgimg',
            'steam_page_banner_bgcolor'         => '',
            'steam_page_banner_bgimg'           => '',
            'steam_page_banner_bgimage_overlay' => '#000000',
            'steam_page_overlay_opacity'        => '50',
            'steam_page_breadcrumb'             => 1,
            'single_team_slug'                  => 'team',
            'team_sin_inner_padding_top'        => '340',
            'team_sin_inner_padding_bottom'     => '150',


            // Practice Archive
            'practice_archive_number'               => get_option( 'posts_per_page' ),
            'spractice_page_banner'                 => 1,
            'spractice_page_banner_bg_type'         => 'bgimg',
            'spractice_page_banner_bgcolor'         => '',
            'spractice_page_banner_bgimg'           => '',
            'spractice_page_banner_bgimage_overlay' => '#000000',
            'spractice_page_overlay_opacity'        => '50',
            'spractice_page_breadcrumb'             => 1,
            'single_practice_slug'                  => 'practice',
            'practice_sin_inner_padding_top'        => '340',
            'practice_sin_inner_padding_bottom'     => '150',

            // Case Study Post
            'case_study_style'                  => 1,
            'case_archive_number'               => get_option( 'posts_per_page' ),
            'scase_page_banner'                 => 1,
            'scase_page_banner_bg_type'         => 'bgimg',
            'scase_page_banner_bgcolor'         => '',
            'scase_page_banner_bgimg'           => '',
            'scase_page_banner_bgimage_overlay' => '#000000',
            'scase_page_overlay_opacity'        => '50',
            'scase_page_breadcrumb'             => 1,
            'single_case_slug'                  => 'case-study',
            'case_sin_inner_padding_top'        => '340',
            'case_sin_inner_padding_bottom'     => '150',


            // Footer
            'footer_style'                => 1,
            'display_footertop_area'      => 0,
            'display_footer_widgets_area' => 1,
            'display_copyright_area'      => 1,
            'copyright_text'              => '© 2021 <a href="#" rel="nofollow">Aeen</a> All Rights Reserved by RadiusTheme',

            // Footer 1
            'footer1_cta_text' => '',
            'footer1_cta_desc' => '',
            'footer_logo'      => '',
            'footer_menu'      => '',
            
            // Footer 2
            'footer1_column' => 4,
            'footer2_column' => 2,
            'footer3_column' => 3,
            'footer4_column' => 3,

            // Footer BG
            'footer_top_bgcolor'    => '',
            'footer_bottom_bgcolor' => '',

            // Typography
            'typo_body' => json_encode(
                array(
                    'font'          => 'Lato',
                    'regularweight' => '400',
                )
            ),
            'typo_body_size'   => '16px',
            'typo_body_height' => '28px',

            // Menu Typography
            'typo_menu' => json_encode(
                array(
                    'font' => 'Lato',
                    'regularweight' => '700',
                )
            ),
            'typo_menu_size' => '16px',
            'typo_menu_height'=> '28px',

            // Sub Menu Typography
            'typo_sub_menu' => json_encode(
                array(
                    'font' => 'Lato',
                    'regularweight' => '700',
                )
            ),
            'typo_sub_menu_size' => '14px',
            'typo_sub_menu_height'=> '28px',

            // All Heading Typography
            'typo_heading' => json_encode(
                array(
                    'font' => 'Lora',
                    'regularweight' => '700',
                )
            ),

            //H1
            'typo_h1' => json_encode(
                array(
                    'font'          => 'Lora',
                    'regularweight' => '',
                )
            ),
            'typo_h1_size'   => '46px',
            'typo_h1_height' => '54px',

            //H2
            'typo_h2' => json_encode(
                array(
                    'font'          => 'Lora',
                    'regularweight' => '',
                )
            ),
            'typo_h2_size'   => '36px',
            'typo_h2_height' => '46px',

            //H3
            'typo_h3' => json_encode(
                array(
                    'font'          => 'Lora',
                    'regularweight' => '',
                )
            ),
            'typo_h3_size'   => '28px',
            'typo_h3_height' => '38px',

            //H4
            'typo_h4' => json_encode(
                array(
                    'font'          => 'Lora',
                    'regularweight' => '',
                )
            ),
            'typo_h4_size'   => '22px',
            'typo_h4_height' => '32px',

            //H5
            'typo_h5' => json_encode(
                array(
                    'font'          => 'Lora',
                    'regularweight' => '',
                )
            ),
            'typo_h5_size'   => '18px',
            'typo_h5_height' => '28px',

            //H6
            'typo_h6' => json_encode(
                array(
                    'font'          => 'Lora',
                    'regularweight' => '',
                )
            ),
            'typo_h6_size'   => '14px',
            'typo_h6_height' => '24px',

            // Error 404
            'error_text1'      => '404',
            'error_text2'      => 'Error Page',
            'error_content'    => 'Oops! The page you are looking for does not exist Now. Please back to the site’s Homepage. to the site’s homepage',
            'error_buttontext' => 'Back To Home',
            'error_img'        => '',
        );

        return apply_filters( 'rttheme_customizer_defaults', $customizer_defaults );
    }
}