<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\aeen;
use radiustheme\aeen\inc\RDTheme;
use radiustheme\aeen\inc\Helper;
use radiustheme\Aeen_Core;
/*-------------------------------------
INDEX
=======================================
#. Defaults
#. Top Bar
#. Header
#. Banner
#. Footer
#. Widgets
#. Typography
#. Pagination
#. Buttons
#. Error 404
#. Comments
#. Inner Contents
#. Comments
#. Error 404
#. CPT
#. Blog

-------------------------------------*/
$aeen = AEEN_THEME_PREFIX_VAR;
$body_font['font'] = '';

$primary_color   = RDTheme::$options['primary_color']; // #f2a14b
$primary_rgb     = Helper::hex2rgb( $primary_color ); // 242, 161, 75
$secondary_color = RDTheme::$options['secondary_color']; // #1b3452
$secondary_rgb   = Helper::hex2rgb( $secondary_color ); // 27, 52, 82

$logo_width        = RDTheme::$options['logo_width'];
$mobile_logo_width = RDTheme::$options['mobile_logo_width'];

$typo_body    = json_decode( RDTheme::$options['typo_body'], true );

if ($body_font['font'] == 'Inherit') {
	$typo_body['font'] = 'Lato';
} else {
	$typo_body['font'] = $typo_body['font'];
}

$typo_menu = json_decode( RDTheme::$options['typo_menu'], true );

if ($typo_menu['font'] == 'Inherit') {
	$typo_menu['font'] = 'Lato';
} else {
	$typo_menu['font'] = $typo_menu['font'];
}

$typo_sub_menu = json_decode( RDTheme::$options['typo_sub_menu'], true );

if ($typo_sub_menu['font'] == 'Inherit') {
	$typo_sub_menu['font'] = 'Lato';
} else {
	$typo_sub_menu['font'] = $typo_sub_menu['font'];
}

$typo_heading = json_decode( RDTheme::$options['typo_heading'], true );
if ($typo_heading['font'] == 'Inherit') {
	$typo_heading['font'] = 'Lora';
} else {
	$typo_heading['font'] = $typo_heading['font'];
}

$typo_h1 = json_decode( RDTheme::$options['typo_h1'], true );
if ($typo_h1['font'] == 'Inherit') {
	$typo_h1['font'] = '';
} else {
	$typo_h1['font'] = $typo_h1['font'];
}

$typo_h2 = json_decode( RDTheme::$options['typo_h2'], true );

if ($typo_h2['font'] == 'Inherit') {
	$typo_h2['font'] = '';
} else {
	$typo_h2['font'] = $typo_h2['font'];
}

$typo_h3 = json_decode( RDTheme::$options['typo_h3'], true );

if ( $typo_h3['font'] == 'Inherit') {
	$typo_h3['font'] = '';
} else {
	$typo_h3['font'] = $typo_h3['font'];
}

$typo_h4 = json_decode( RDTheme::$options['typo_h4'], true );

if ($typo_h4['font'] == 'Inherit') {
	$typo_h4['font'] = '';
} else {
	$typo_h4['font'] = $typo_h4['font'];
}

$typo_h5      = json_decode( RDTheme::$options['typo_h5'], true );

if ($typo_h5['font'] == 'Inherit') {
	$typo_h5['font'] = '';
} else {
	$typo_h5['font'] = $typo_h5['font'];
}

$typo_h6      = json_decode( RDTheme::$options['typo_h6'], true );

if ($typo_h6['font'] == 'Inherit') {
	$typo_h6['font'] = '';
} else {
	$typo_h6['font'] = $typo_h6['font'];
}



/*-------------------------------------
#. Typography
---------------------------------------*/
?>

body {
	<?php if( !empty( RDTheme::$options['body_color'] ) ) : ?>
	color: <?php echo esc_html( RDTheme::$options['body_color'] ); ?>;
    <?php endif; ?>
	font-family: '<?php echo esc_html( $typo_body['font'] ); ?>', sans-serif;
	font-size: <?php echo esc_html( RDTheme::$options['typo_body_size'] ) ?>;
	line-height: <?php echo esc_html( RDTheme::$options['typo_body_height'] ); ?>;
	font-weight : <?php echo esc_html( $typo_body['regularweight'] ) ?>;
	font-style: normal;
}

.menu-layout1 .template-main-menu > nav > ul > li a,
.menu-layout2 .template-main-menu > nav > ul > li a{
	font-family: '<?php echo esc_html( $typo_menu['font'] ); ?>', sans-serif;
	font-size: <?php echo esc_html( RDTheme::$options['typo_menu_size'] ) ?>;
	line-height: <?php echo esc_html( RDTheme::$options['typo_menu_height'] ); ?>;
	font-weight : <?php echo esc_html( $typo_menu['regularweight'] ) ?>;
	font-style: normal;
}

<?php  if( !empty( RDTheme::$options['main_menu_font_color'] ) ) : ?>
.menu-layout1 .template-main-menu > nav > ul > li > a{
	color: <?php echo esc_html( RDTheme::$options['main_menu_font_color'] ); ?>
}
<?php endif; ?>

.menu-layout1 .template-main-menu > nav > ul > li > a:hover,
.menu-layout2 .template-main-menu > nav > ul > li > a:hover{
	color: <?php echo esc_html( RDTheme::$options['main_menu_font_hover_color'] ); ?>
}


.menu-layout1 .template-main-menu > nav > ul > li > ul > li a,
.menu-layout2 .template-main-menu > nav > ul > li > ul > li a{
	font-family: '<?php echo esc_html( $typo_menu['font'] ); ?>', sans-serif;
	font-size: <?php echo esc_html( RDTheme::$options['typo_sub_menu_size'] ) ?>;
	line-height: <?php echo esc_html( RDTheme::$options['typo_menu_height'] ); ?>;
	font-weight : <?php echo esc_html( $typo_menu['regularweight'] ) ?>;
	font-style: normal;
}

<?php if( !empty( RDTheme::$options['sub_menu_font_color'] ) ) : ?>
.menu-layout1 .template-main-menu > nav > ul > li > ul > li a,
.menu-layout2 .template-main-menu > nav > ul > li > ul > li a{
	color: <?php echo esc_html( RDTheme::$options['sub_menu_font_color'] ); ?>
}
<?php endif; ?>

<?php if( !empty( RDTheme::$options['sub_menu_font_hover_color'] ) ) : ?>
.menu-layout1 .template-main-menu > nav > ul > li > ul > li a:hover,
.menu-layout2 .template-main-menu > nav > ul > li > ul > li a:hover{
	color: <?php echo esc_html( RDTheme::$options['sub_menu_font_hover_color'] ); ?>
}
<?php endif; ?>

<?php if( !empty( RDTheme::$options['sub_menu_bg_hover_color'] ) ) : ?>
.menu-layout1 .template-main-menu > nav > ul > li > ul > li a:before,
.menu-layout2 .template-main-menu > nav > ul > li > ul > li a:before{
	background-color: <?php echo esc_html( RDTheme::$options['sub_menu_bg_hover_color'] ) ?>;
}
<?php endif; ?>

h1,h2,h3,h4,h5,h6 {
	font-family: '<?php echo esc_html( $typo_heading['font'] ); ?>', serif;
	font-weight : <?php echo esc_html( $typo_heading['regularweight'] ); ?>;
}

<?php if (!empty($typo_h1['font']) && $typo_h1['font'] != 'Inherit' ) { ?>
h1 {
	font-family: '<?php echo esc_html( $typo_h1['font'] ); ?>', serif;
	font-weight : <?php echo esc_html( $typo_h1['regularweight'] ); ?>;
}
<?php } ?>
h1 {
	font-size: <?php echo esc_html( RDTheme::$options['typo_h1_size'] ); ?>;
	line-height: <?php echo esc_html(  RDTheme::$options['typo_h1_height'] ); ?>;
	font-style: normal;
}
<?php if (!empty($typo_h2['font']) && $typo_h2['font'] != 'Inherit' ) { ?>
h2 {
	font-family: '<?php echo esc_html( $typo_h2['font'] ); ?>', serif;
	font-weight : <?php echo esc_html( $typo_h2['regularweight'] ); ?>;
}
<?php } ?>
h2 {
	font-size: <?php echo esc_html( RDTheme::$options['typo_h2_size'] ); ?>;
	line-height: <?php echo esc_html( RDTheme::$options['typo_h2_height'] ); ?>;
	font-style: normal;
}

<?php if ( !empty($typo_h3['font']) && $typo_h3['font'] != 'Inherit' ) { ?>
h3 {
	font-family: '<?php echo esc_html( $typo_h3['font'] ); ?>', serif;
	font-weight : <?php echo esc_html( $typo_h3['regularweight'] ); ?>;
}
<?php } ?>
h3 {
	font-size: <?php echo esc_html( RDTheme::$options['typo_h3_size'] ); ?>;
	line-height: <?php echo esc_html(  RDTheme::$options['typo_h3_height'] ); ?>;
	font-style: normal;
}

<?php if (!empty($typo_h4['font']) && $typo_h4['font'] != 'Inherit' ) { ?>
h4 {
	font-family: '<?php echo esc_html( $typo_h4['font'] ); ?>', serif;
	font-weight : <?php echo esc_html( $typo_h4['regularweight'] ); ?>;
}
<?php } ?>
h4 {
	font-size: <?php echo esc_html( RDTheme::$options['typo_h4_size'] ); ?>;
	line-height: <?php echo esc_html(  RDTheme::$options['typo_h4_height'] ); ?>;
	font-style: normal;
}
<?php if (!empty($typo_h5['font']) && $typo_h5['font'] != 'Inherit') { ?>
h5 {
	font-family: '<?php echo esc_html( $typo_h5['font'] ); ?>', serif;
	font-weight : <?php echo esc_html( $typo_h5['regularweight'] ); ?>;
}
<?php } ?>
h5 {
	font-size: <?php echo esc_html( RDTheme::$options['typo_h5_size'] ); ?>;
	line-height: <?php echo esc_html(  RDTheme::$options['typo_h5_height'] ); ?>;
	font-style: normal;
}
<?php if ( !empty($typo_h6['font']) && $typo_h6['font'] != 'Inherit' ) { ?>
h6 {
	font-family: '<?php echo esc_html( $typo_h6['font'] ); ?>', serif;
	font-weight : <?php echo esc_html( $typo_h6['regularweight'] ); ?>;
}
<?php } ?>
h6 {
	font-size: <?php echo esc_html( RDTheme::$options['typo_h6_size'] ); ?>;
	line-height: <?php echo esc_html(  RDTheme::$options['typo_h6_height'] ); ?>;
	font-style: normal;
}

<?php if( !empty( RDTheme::$options['footer_top_bgcolor'] ) ) : ?>
.footer-wrap-layout1 .footer-top:before,
.footer-wrap-layout2 .footer-top:before,
.footer-wrap-layout3 .footer-top{ 
	background-color: <?php echo esc_html( RDTheme::$options['footer_top_bgcolor'] ); ?>; 
}
<?php endif; ?>

<?php if( !empty( RDTheme::$options['footer_bottom_bgcolor'] ) ) : ?>
.footer-wrap-layout1,
.footer-wrap-layout2,
.footer-bottom-four{ 
	background-color: <?php echo esc_html( RDTheme::$options['footer_bottom_bgcolor'] ); ?>; 
}
<?php endif; ?>

<?php if( !empty( RDTheme::$bgcolor ) ) : ?>
section.page-banner.bg-color{ 
	background-color: <?php echo esc_html( RDTheme::$bgcolor ); ?>; 
}
<?php endif; ?>

section.page-banner{ 
	padding: <?php echo esc_html( RDTheme::$inner_padding_top ); ?>px 0 <?php echo esc_html( RDTheme::$inner_padding_bottom ); ?>px;
}

section.page-banner:before{ 
	padding: <?php echo esc_html( RDTheme::$inner_padding_top ); ?>px 0 <?php echo esc_html( RDTheme::$inner_padding_bottom ); ?>px;
}

.about-box-layout2 .item-figure:before {
  content: url(<?php echo get_template_directory_uri(). '/assets/img/about-bg-1.png'; ?>);
}


<?php if( !empty( RDTheme::$options['theme_primary_color'] ) ) : ?>
.topbar-layout1,
.topbar-layout2{
	background-color: <?php echo esc_html( RDTheme::$options['theme_primary_color'] ); ?>
}
<?php endif; ?>

<?php if ( $logo_width ) { ?>
    .temp-logo img {
        max-width: <?php echo esc_html( $logo_width ); ?>px;
    }
<?php } ?>
<?php if ( $mobile_logo_width ) { ?>
    .mean-container .mean-bar img {
        max-width: <?php echo esc_html( $mobile_logo_width ); ?>px;
    }
<?php } ?>


<?php if ( !empty( $primary_color )) { 
// Background Color
?>
.btn-fill,
.slick-arrow:hover,
.pricing-box-layout1:after,
.experience-border::before,
.progress-box-layout2.pbox-bg,
.experience-border-left::after,
.newsletter-input-field button,
.experience-border-right::after,
.experience-border-left::before,
.experience-border-right::before,
.header-action-items4 ul li:hover a,
.header-action-items .btn-fill:before,
.testimonial-active .slick-arrow:hover,
.blog-box-layout2 .item-content .item-date,
.section-heading .heading-sub-title:before,
.pricing-box-layout1 .item-footer .btn-fill,
.about-box-layout7 .about-skill .progress-bar,
.dot-control-layout1 .owl-dots .owl-dot.active span
{
	background-color: <?php echo esc_html( $primary_color ); ?>;	
}
.btn-play-layout1
{
	background-color: rgba(<?php echo Helper::hex2rgb( $primary_color ); ?>, 0.9);
}
<?php } ?>

<?php if ( !empty( $primary_color )) { 
//Color
?>
.item-link,
.video-link,
.slick-arrow,
.blog-post-date,
.item-dates span,
.experience>.title,
.color-primary-text,
.item-heading span a,
.footer-address3 li i,
.color-primary-text:hover,
.hero-company-info ul li i,
.blog-box-layout2 .blog-btn,
.header-action-items .btn-fill,
.footer-bottom .copy-right-text a,
.header-action-items .call-number,
.practice-box-layout1 .item-icon i,
.testimonial-active .slick-arrow i,
.header-address-info .single-item i,
.section-heading .heading-sub-title,
.isotop-btn-layout1 a.nav-item:hover,
.blog-box-layout2 ul.entry-meta li i,
.testimonial-box-layout2 .quote-icon i,
.isotop-btn-layout1 a.nav-item.current,
.call-to-action-box-layout2 .item-title,
.feature-box-layout1:hover .item-icon i,
.blog-box-layout4 .item-meta ul li span,
.case-study-box-layout4 .item-sub-title,
.progress-box-layout1 .item-icon i:before,
.footer-top .footer-widgets ul li a:hover,
.practice-box-layout1 .item-title a:hover,
.blog-box-layout4 .item-meta ul li:hover a,
.blog-box-layout2 ul.entry-meta li a:hover,
.case-study-box-layout5 .item-content span a,
.pricing-box-layout1 .item-header .item-price,
.testimonial-wrap-layout1 .quote-icon i:before,
.team-box-layout1 .item-content .item-sub-title,
.team-box-layout2 .item-content .item-sub-title,
.case-study-box-layout4 .item-content h3 a:hover,
.footer-top .footer-widgets ul li a:hover:before,
.section-heading.heading-light .heading-sub-title,
.case-study-box-layout3:hover .item-title a:hover,
.pricing-box-layout1:hover .item-footer .btn-fill,
.main-banner-layout3 .banner-content-3 .sub-title,
.section-heading2.heading-light .heading-sub-title,
.team-box-layout1 .item-content .item-title a:hover,
.team-box-layout2 .item-content .item-title a:hover,
.blog-box-layout2 .item-content .entry-title a:hover,
.footer-top .footer-widgets .footer-social li a:hover,
.pricing-box-layout1 .item-body ul.item-info li:before, 
.service-box-layout1 .item-content .item-icon i:before,
.case-study-box-layout7 .item-content .item-link:hover,
.topbar-layout2 .header-social-info .single-item a:hover,
.service-box-layout1:hover .item-content .item-title a:hover,
.practice-box-layout1.practice-box-layout2:hover .item-icon i,
.practice-box-layout1.practice-box-layout2:hover .item-title a,
.testimonial-box-layout2 .slick-center .media .item-designation,
.footer-wrap-layout3 .footer-top .footer-widgets .footer-menu li:hover a, 
.footer-wrap-layout3 .footer-top .footer-widgets .menu-service-offerings-container ul li:hover a
{
	color: <?php echo esc_html( $primary_color ); ?>;	
}
<?php } ?>

<?php if ( !empty( $primary_color )) { 
//Border Color
?>
.btn-fill,
.video-link:hover,
.slick-arrow:hover,
.slick-arrow:hover,
.about-left-thumb::after,
.feature-box-layout4:hover,
.header-action-items .btn-fill:hover,
.testimonial-active .slick-arrow:hover
{
	border-color: <?php echo esc_html( $primary_color ); ?>;
}

.blog-box-layout2 .item-content .item-date:before{
	border-top: 13px solid <?php echo esc_html( $primary_color ); ?>;
}
<?php } ?>


<?php if ( !empty( $secondary_color )) { 
// Background Color
?>
.topbar-layout1,
.btn-fill:before,
.feature-box-layout1,
.practice-box-layout1:after
{
	background-color: <?php echo esc_html( $secondary_color ); ?>;
}
<?php } ?>
