<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */
namespace radiustheme\aeen;
use radiustheme\aeen\inc\RDTheme;
use radiustheme\aeen\inc\Helper;

get_header();

$prefix = AEEN_THEME_CPT_PREFIX;
$post_types = [ 'team', 'case_study', 'practice' ];

foreach ($post_types as $post_type) {
  if ( is_post_type_archive( "{$prefix}_{$post_type}" ) || is_tax( "{$prefix}_{$post_type}_category" ) ) {
    	get_template_part( "template-parts/archive-{$post_type}/archive", $post_type );
    return;
  }
}

$blog_style = RDTheme::$options['blog_style'];

if ( $blog_style == 1 ) {
	$version = 3;
} else {
	$version = 2;	
}

?>
<!--=====================================-->
<!--=              Blog Start    	    =-->
<!--=====================================-->
<section class="blog-wrap-layout<?php echo esc_attr( $version ); ?>">
    <div class="container">
    	<div class="row">

	    		<?php if ( have_posts() ) : ?>
				<?php
					if ( ( is_home() || is_archive() ) ) {
						if ( $blog_style == 2 ) {
							while ( have_posts() ) : the_post(); ?>
								<div class="col-lg-4 col-md-6 col-12">
									<?php get_template_part( 'template-parts/archive-blog/content',  $blog_style ); ?>
								</div>
						<?php 
							endwhile;
						} else { ?>
							<div class="<?php Helper::the_layout_class(); ?>">
							<?php 
							while ( have_posts() ) : the_post(); 
								get_template_part( 'template-parts/archive-blog/content',  $blog_style );
							endwhile; 
								Helper::pagination();
							?>
							</div>
							<?php 
						}
						
					}
					else {
						while ( have_posts() ) : the_post();
							get_template_part( 'template-parts/content' );
						endwhile;
					}
				?>
				<?php else: ?>
					<?php get_template_part( 'template-parts/content', 'none' ); ?>
				<?php endif; ?>
				<?php wp_reset_postdata(); ?>

	        <?php if( $blog_style == 1 ) : ?>
	        <?php Helper::aeen_sidebar(); ?>
	    	<?php endif; ?>
    	</div>
    </div>
</section>

<?php get_footer(); ?>
