<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\aeen;
use radiustheme\aeen\inc\RDTheme;
use radiustheme\aeen\inc\Helper;

$post_meta      = RDTheme::$options['blog_date'] || RDTheme::$options['blog_author_name'] ? true : false;
$excerpt_length = isset( RDTheme::$options['excerpt_length'] ) ? RDTheme::$options['excerpt_length'] : '';

?>

<div id="post-<?php the_ID(); ?>" <?php post_class( 'blog-box-layout3' ); ?>>
    <?php if ( has_post_thumbnail() ): ?>
    <div class="item-figure">
        <a href="<?php the_permalink(); ?>">
            <?php the_post_thumbnail(); ?>
        </a>
    </div>
    <?php endif; ?>
    <div class="item-content">
        <ul class="entry-meta">
            <?php if ( RDTheme::$options['blog_author_name'] ): ?>
            <li class="item-author">
                <i class="far fa-user" aria-hidden="true"></i>
                <?php the_author_posts_link(); ?>
            </li>
            <?php endif; if( RDTheme::$options['blog_cats'] ) : ?>
            <?php if( ( has_category() ) ) : ?>
            <li>
                <i class="fas fa-tags"></i>
                <?php the_category( ', ' );?>  
            </li>
            <?php endif; ?>
            <?php endif; if ( RDTheme::$options['blog_date'] ): ?>
            <li>
                <i class="far fa-calendar-alt"></i>
                <?php the_time( get_option( 'date_format' ) );?> 
            </li>
            <?php endif; ?>
        </ul>
        <h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
        <p><?php echo Helper::aeen_excerpt( $excerpt_length ); ?></p>
        <a href="<?php the_permalink(); ?>" class="blog-btn"><?php echo esc_html_e( 'Read More', 'aeen' ); ?><i class="fas fa-angle-right"></i></a>
    </div>
</div>