<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\aeen;
use radiustheme\aeen\inc\RDTheme;


$aeen = AEEN_THEME_PREFIX_VAR;
if ( is_404() ) {
	$rdtheme_title = esc_html__( '404 Error Page ', 'aeen' ) . get_search_query();
}
elseif ( is_search() ) {
	$rdtheme_title = esc_html__( 'Search Results for : ', 'aeen' ) . get_search_query();
}
elseif ( is_home() ) {
	if ( get_option( 'page_for_posts' ) ) {
		$rdtheme_title = get_the_title( get_option( 'page_for_posts' ) );
	}
	else {
		$rdtheme_title = apply_filters( "{$aeen}_blog_title", esc_html__( 'All Posts', 'aeen' ) );
	}
}
elseif ( is_archive() ) {
	$cpt = AEEN_THEME_CPT_PREFIX;
	if ( is_post_type_archive( "{$cpt}_team" ) ) {
		$rdtheme_title = esc_html__( 'Our Team', 'aeen' );
	}
	elseif ( is_post_type_archive( "{$cpt}_case_study" ) ) {
		$rdtheme_title = esc_html__( 'All Case Study', 'aeen' );
	}elseif ( is_post_type_archive( "{$cpt}_practice" ) ) {
		$rdtheme_title = esc_html__( 'All Practices', 'aeen' );
	}
	else {
		$rdtheme_title = get_the_archive_title();
	}
} elseif (is_single()) {
	$rdtheme_title  = get_the_title();

} else {
	$id                        = $post->ID;
	$fitness_custom_page_title = get_post_meta( $id, 'aeen_custom_page_title', true );
	if (!empty($fitness_custom_page_title)) {
		$rdtheme_title = get_post_meta( $id, 'aeen_custom_page_title', true );
	 } else { 
		$rdtheme_title = get_the_title();	                   
 	}
}
  
if ( RDTheme::$bgtype == 'bgimg' && RDTheme::$bgimg !='' ) { ?>
	<?php if ( RDTheme::$has_banner == '1' || RDTheme::$has_banner != "off" ): ?>
		<section class="page-banner has-animation" data-bg-image="<?php echo esc_attr( RDTheme::$bgimg ); ?>">
		    <div class="container">
		        <div class="row">
		            <div class="col-12">
		                <div class="breadcrumbs-area">
		                    <h1><?php echo wp_kses( $rdtheme_title, 'alltext_allow' );?></h1>
		                    <?php if ( RDTheme::$has_breadcrumb == '1' || RDTheme::$has_breadcrumb  != "off" ): ?>
								<?php get_template_part( 'template-parts/content', 'breadcrumb' );?>
							<?php endif; ?>
		                </div>
		            </div>
		        </div>
		    </div>
		</section>
	<?php endif; 
	
	} else { ?>
		<?php if ( RDTheme::$has_banner == '1' || RDTheme::$has_banner != "off" ): ?>
		<section class="page-banner has-animation bg-color">
		    <div class="container">
		        <div class="row">
		            <div class="col-12">
		                <div class="breadcrumbs-area">
		                    <h1><?php echo wp_kses( $rdtheme_title, 'alltext_allow' );?></h1>
		                    <?php if ( RDTheme::$has_breadcrumb == '1' || RDTheme::$has_breadcrumb  != "off" ): ?>
								<?php get_template_part( 'template-parts/content', 'breadcrumb' );?>
							<?php endif; ?>
		                </div>
		            </div>
		        </div>
		    </div>
		</section>
		<?php endif; 
	}
?>

