<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\aeen;
$previous = get_previous_post();
$next = get_next_post();
if ($previous && $next) {
    $cols = '6';
} else {
   $cols = '12'; 
}

?>

<?php if ( $previous || $next ): ?>
<div class="row no-gutters blog-post-slider">
    <?php if ( $previous ): ?>
    <div class="col-md-6 col-sm-6 col-<?php echo esc_attr( $cols );?>">
        <a href="<?php echo esc_url( get_permalink( $previous ) ); ?>" class="prev-article">
            <i class="fas fa-long-arrow-alt-left"></i><?php echo esc_html_e( 'Previous Post', 'aeen' ); ?>  
        </a>
        <h5><a href="<?php echo esc_url( get_permalink( $previous ) ); ?>"><?php echo get_the_title( $previous ); ?></a></h5>
    </div>
    <?php endif; if ( $next ): ?>
    <div class="col-md-6 col-sm-6 col-<?php echo esc_attr( $cols );?> <?php if( $previous ) : echo esc_attr( 'text-right' ); endif; ?>">
        <a href="<?php echo esc_url( get_permalink( $next ) ); ?>" class="next-article">
            <?php echo esc_html_e( 'Next Post', 'aeen' ); ?><i class="fas fa-long-arrow-alt-right"></i>
        </a>
        <h5><a href="<?php echo esc_url( get_permalink( $next ) ); ?>"><?php echo get_the_title( $next ); ?></a></h5>
    </div>
    <?php endif; ?>
</div>
<?php endif; ?>