<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\aeen;
use radiustheme\aeen\inc\RDTheme;


$share_cols = RDTheme::$options['post_tags'] && has_tag() ? '6' : '12';
$tag_cols   = RDTheme::$options['post_social_share'] ? '6' : '12';

?>

<div id="post-<?php the_ID(); ?>" <?php post_class( 'single-blog-box1' ); ?>>

    <?php if ( has_post_thumbnail() ){ ?>
    <div class="item-figure wow animated fadeInUp" data-wow-delay="0.2s">
        <?php the_post_thumbnail(); ?>
    </div>
    <?php } ?>

    <div class="item-content">
        <div class="item-single-contents">
            <ul class="entry-meta">
                <li class="item-author">
                    <i class="far fa-user" aria-hidden="true"></i>
                    <?php the_author_posts_link(); ?>
                </li>
                <?php if ( RDTheme::$options['post_cats'] && has_category() ): ?>
                <li>
                    <i class="fas fa-tags"></i>
                    <?php the_category( ', ' ); ?>     
                </li>
                <?php endif; if( RDTheme::$options['post_date'] ) : ?>
                <li>
                    <i class="far fa-calendar-alt"></i>
                    <?php the_time( get_option( 'date_format' ) );?>  
                </li>
                <?php endif; ?>
            </ul>
            <?php the_content(); ?>
            <?php wp_link_pages( array( 'before' => '<div class="posts-pagi">', 'after'  => '</div>' ) ); ?>

            <?php if( RDTheme::$options['post_tags'] && has_tag() || RDTheme::$options['post_social_share'] ) : ?>
            <div class="postmeta-wrap">
                <div class="row no-gutters post-share-area">
                    <?php if( RDTheme::$options['post_social_share'] ) : ?>
                    <div class="col-md-<?php echo esc_attr( $share_cols ); ?> col-12">

                        <?php do_action( 'rdtheme_social_share', RDTheme::$options['post_social_share_icons'] ); ?>
                    </div>
                    <?php endif; if ( RDTheme::$options['post_tags'] && has_tag() ): ?>
                    <div class="col-md-<?php echo esc_attr( $tag_cols ); ?> col-12">
                        <ul class="blog-tag">
                            <li><span><?php esc_attr_e( 'Tags:', 'aeen' ); ?></span></li>
                            <?php echo get_the_term_list( $post->ID, 'post_tag','<li>','</li><li>', '</li>' ); ?>
                        </ul>
                    </div>
                    <?php endif; ?>
                </div>
            </div>
            <?php endif; ?>
        </div>
        <div class="content-single-pagi">
        <?php 
            if ( RDTheme::$options['post_navigation'] ) {
                get_template_part( 'template-parts/content-single-pagination' );
            }
        ?>
        </div>
        <?php if ( comments_open() || get_comments_number() ){ 
            comments_template(); 
        } ?>
    </div>
</div>