<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\aeen;
use radiustheme\aeen\inc\RDTheme;
use radiustheme\aeen\inc\Helper;

?>

<!--=====================================-->
<!--=            Footer Start           =-->
<!--=====================================-->
<?php if( RDTheme::$options['display_footertop_area'] ) : ?>
<section class="newsletter-wrap-layout2">
    <div class="container">
        <div class="inner-wrap">
            <div class="row">
                <div class="col-xl-5 col-lg-4 col-12">
                    <div class="newsletter-box-layout3">
                        <div class="item-content">
                            <h2 class="item-title"><?php echo esc_html( RDTheme::$options['footer1_cta_text'] ); ?></h2>
                            <p><?php echo esc_html( RDTheme::$options['footer1_cta_desc'] ); ?></p>
                        </div>
                    </div>
                </div>
                <div class="col-xl-7 col-lg-6 col-12">
                    <?php get_template_part( 'template-parts/mail', 'chimp' );?>
                </div>
            </div>
        </div>
    </div>
</section>
<?php endif; ?>

<footer class="footer-wrap-layout1">
    <?php if( RDTheme::$options['display_footer_widgets_area'] && ( is_active_sidebar( 'footer-1' ) || is_active_sidebar( 'footer-2' ) || is_active_sidebar( 'footer-3' ) || is_active_sidebar( 'footer-4' ) ) ) : ?>
    <div class="footer-top">
        <div class="container">
            <?php if( RDTheme::$options['display_footer_widgets_area'] ) : ?>
            <?php if ( is_active_sidebar( 'footer-1' ) || is_active_sidebar( 'footer-2' ) || is_active_sidebar( 'footer-3' ) || is_active_sidebar( 'footer-4' ) ) { ?>
            <div class="row">
                <?php if ( is_active_sidebar( 'footer-1' ) ) { ?>
                <div class="col-lg-3 col-md-6 col-12">
                    <?php dynamic_sidebar( 'footer-1' ); ?>
                </div>
                <?php } if ( is_active_sidebar( 'footer-2' ) ) { ?>
                <div class="col-lg-3 col-md-6 col-12">
                    <?php dynamic_sidebar( 'footer-2' ); ?>
                </div>
                <?php } if ( is_active_sidebar( 'footer-3' ) ) { ?>
                <div class="col-lg-3 col-md-6 col-12">
                    <?php dynamic_sidebar( 'footer-3' ); ?>
                </div>
                <?php } if ( is_active_sidebar( 'footer-4' ) ) { ?>
                <div class="col-lg-3 col-md-6 col-12">
                    <?php dynamic_sidebar( 'footer-4' ); ?>
                </div>
                <?php } ?>
            </div>
            <?php } ?>
            <?php endif; ?>

        </div>
    </div>
    <?php endif; ?>

    <?php if( RDTheme::$options['display_copyright_area'] ) : ?>
    <div class="footer-bottom">
        <div class="container">
            <p class="copy-right-text"><?php echo wp_kses( RDTheme::$options['copyright_text'] , 'allow_link' ); ?></p>
        </div>
    </div>
    <?php endif; ?>

</footer>
