<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\aeen;
use radiustheme\aeen\inc\RDTheme;
use radiustheme\aeen\inc\Helper;

$nav_menu_args = Helper::nav_menu_args();


if ( RDTheme::$options['menu_right_part'] != '0' ) {
    $rdtheme_menu_class = "col-xl-7 col-lg-6";
}else{
    $rdtheme_menu_class = "col-xl-10 col-lg-10";
}

?>

<header class="sticky-fixed-after site-header">
    <?php if( RDTheme::$top_bar == '1'  && RDTheme::$top_bar != 'off' ) : ?>
    <div id="topbar-wrap">
        <div class="topbar-layout1">
            <div class="container">
                <div class="row no-gutters d-flex align-items-center">
                    <div class="col-lg-9 d-flex justify-content-start">
                        <?php get_template_part( 'template-parts/header/address', 'info' ); ?>
                    </div>
                    <div class="col-lg-3 d-flex justify-content-end">
                        <?php get_template_part( 'template-parts/header/social', 'info' ); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php endif; ?>
    <div id="sticky-placeholder"></div>
    <div id="navbar-wrap">
        <div class="menu-layout1">
            <div class="container">
                <div class="row no-gutters d-flex align-items-center">
                    <div class="col-xl-2 col-lg-2 d-flex justify-content-start">

                        <?php get_template_part( 'template-parts/header/logo', 'light' ); ?>
                        <?php get_template_part( 'template-parts/header/logo', 'dark' ); ?>

                    </div>
                    <div class="<?php echo esc_attr( $rdtheme_menu_class );?> d-flex justify-content-end possition-static">
                        <div id="dropdown" class="template-main-menu">
                            <?php wp_nav_menu( $nav_menu_args ); ?>
                        </div>
                    </div>
                    <?php if ( RDTheme::$options['menu_right_part'] ) { ?>
                    <div class="col-xl-3 col-lg-4 d-flex justify-content-end">
                        <div class="header-action-items">
                            <ul class="inline-list">
                                <?php if ( RDTheme::$options['search_icon'] ){
                                    get_template_part( 'template-parts/header/icon', 'search' );
                                } ?>
                                <?php if ( has_nav_menu( 'primary' ) && RDTheme::$options['menu_button'] ){ ?>
                                <li class="single-item">
                                    <?php get_template_part( 'template-parts/header/header-menu', 'link' ); ?>
                                </li>
                                <?php } ?>
                            </ul>
                        </div>
                    </div>
                    <?php } ?>
                </div>
            </div>
        </div>

        <?php if ( RDTheme::$options['search_icon'] ){ ?>
            <?php get_template_part( 'template-parts/header/icon-search', 'popup' ); ?>
        <?php } ?>

    </div>
</header>




