<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */
namespace radiustheme\aeen;
use radiustheme\aeen\inc\RDTheme;
use radiustheme\aeen\inc\Helper;

$nav_menu_args = Helper::nav_menu_args();

if ( RDTheme::$options['menu_right_part'] != '0' ) {
    $rdtheme_menu_class = "col-xl-5 col-lg-7";
}else{
    $rdtheme_menu_class = "col-xl-10 col-lg-9";
}

?>
<header class="sticky-fixed-after site-header">
  <div id="navbar-wrap">
    <div class="menu-layout1 menu-layout-4 primary-bg-4">
      <div class="container-fluid">
        <div class="row no-gutters d-flex align-items-center">
          <div class="col-xl-2 col-lg-3 d-flex justify-content-start">
            <?php get_template_part( 'template-parts/header/logo', 'dark' ); ?>
          </div>
          <div class="<?php echo esc_attr( $rdtheme_menu_class );?> d-flex possition-static">
             <div id="dropdown" class="template-main-menu">
              <?php wp_nav_menu( $nav_menu_args ); ?>
            </div>
          </div>
          <?php if ( RDTheme::$options['menu_right_part'] ) { ?>
          <div class="col-xl-5 col-lg-2 d-flex justify-content-end">
            <div class="header-action-items header-action-items4">
              <ul class="inline-list">
                <?php if( !empty( RDTheme::$options['email'] ) ) { ?>
                <li class="single-item divider1 divider4 text email">
                  <i class="far fa-envelope"></i>
                   <a href="mailto:<?php echo sanitize_email( RDTheme::$options['email'] ); ?>">    
                    <?php echo esc_html( RDTheme::$options['email'] ); ?>
                   </a>
                </li>
                <?php } if( !empty( RDTheme::$options['menu_phone'] ) ) { ?>
                <li class="single-item text phone">
                  <i class="fas fa-phone"></i> 
                  <a href="tel:<?php echo esc_attr( RDTheme::$options['menu_phone'] ); ?>">
                    <?php echo esc_html( RDTheme::$options['menu_phone'] ); ?>
                  </a>
                </li>
                <?php } if ( RDTheme::$options['search_icon'] ) {
                  get_template_part( 'template-parts/header/icon', 'search' );
                } ?>
              </ul>
            </div>
          </div>
          <?php } ?>
        </div>
      </div>
    </div>

    <?php if ( RDTheme::$options['search_icon'] ){ ?>
        <?php get_template_part( 'template-parts/header/icon-search', 'popup' ); ?>
    <?php } ?>

  </div>
</header>
