<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */
namespace radiustheme\aeen;
global $post;

$case_desigantion    = get_post_meta( $post->ID, 'aeen_case_desigantion', true );
$case_client         = get_post_meta( $post->ID, 'case_client', true );
$case_date           = get_post_meta( $post->ID, 'case_date', true );
$case_website        = get_post_meta( $post->ID, 'case_website', true );
$case_about_info     = get_post_meta( $post->ID, 'case_about_info', true );
$case_about_sub_con  = get_post_meta( $post->ID, 'case_about_sub_con', true );
$case_challenge_info = get_post_meta( $post->ID, 'case_challenge_info', true );
$case_challenges     = get_post_meta( $post->ID, 'case_challenges', true ); // Repeater
$case_process        = get_post_meta( $post->ID, 'case_process', true ); // Repeater
$case_result         = get_post_meta( $post->ID, 'case_result', true ); 

?>

<?php get_header(); ?>

<section class="single-case-study-wrap">
    <div class="container">
        <div class="row">
            <div class="col-lg-6 col-12">
                <?php if( has_post_thumbnail( ) ) : ?>
                <div class="single-case-study-box1 wow animated fadeInLeft" data-wow-delay="0.2s">
                    <?php the_post_thumbnail( 'aeen-size-casestudy2' ); ?>
                </div>
                <?php endif; ?>
            </div>
            <div class="col-lg-6 col-12">
                <div class="single-case-study-box2">
                    <h2><?php the_title(); ?></h2>
                    <?php the_content(); ?>

                    <ul class="info-items">
                        <?php if( !empty( $case_desigantion ) ) : ?>
                        <li class="info-item"><?php esc_html_e( 'Category', 'aeen' ); ?>:<span><?php echo esc_html( $case_desigantion ); ?></span></li>
                        <?php endif; if( !empty( $case_date ) ) : ?>
                        <li class="info-item"><?php esc_html_e( 'Date', 'aeen' ); ?>:<span><?php echo esc_html( $case_date ); ?></span></li>
                        <?php endif; if ( !empty( $case_client ) ) : ?>
                        <li class="info-item"><?php esc_html_e( 'Client', 'aeen' ); ?>:<span><?php echo esc_html( $case_client ); ?></span></li>
                        <?php endif; if( !empty( $case_website ) ) : ?>
                        <li class="info-item"><?php esc_html_e( 'Website', 'aeen' ); ?>:<span><?php echo esc_html( $case_website ); ?></span></li>
                        <?php endif; ?>
                    </ul>
                </div>
            </div>
            <div class="col-12">
                <ul class="single-case-study-box3">
                    <?php if( !empty( $case_about_info ) ) : ?>
                    <li class="single-item">
                        <h3><?php esc_html_e( 'About This Case', 'aeen' ); ?></h3>
                        <div class="item-content">
                            <p><?php echo wp_kses( $case_about_info, 'allow_link' ); ?></p>
                            <?php if( !empty( $case_about_sub_con ) ) : ?>
                            <span class="sub-content"><?php echo wp_kses( $case_about_sub_con, 'allow_link' ); ?></span>
                            <?php endif; ?>
                        </div>
                    </li>
                    <?php endif; ?>
                    <?php if( !empty( $case_challenge_info ) ) : ?>
                    <li class="single-item">
                        <h3><?php esc_html_e( 'Challenge', 'aeen' ); ?></h3>
                        <div class="item-content">
                            <p><?php echo esc_html( $case_challenge_info ); ?></p>
                            <?php endif; if( !empty( $case_challenges ) ) : ?>
                            <ul class="inline-case-info">
                                <?php foreach( $case_challenges as $challenge ) : ?>
                                <li><?php echo esc_html( $challenge['challenge_name'] ); ?></li>
                                <?php endforeach; ?>
                            </ul>
                        </div>
                    </li>
                    <?php endif; ?>
                    <?php if( !empty( $case_process ) ) : ?>
                    <li class="single-item">
                        <h3><?php esc_html_e( 'Our Process', 'aeen' ); ?></h3>
                        <div class="item-content">

                            <ul class="block-case-info">
                                <?php foreach( $case_process as $process ) : ?>
                                <li>
                                    <h4><?php echo esc_html( $process['process_name'] ); ?></h4>
                                    <p><?php echo wp_kses( $process['process_desc'], 'allow_link' ); ?></p>
                                </li>
                                <?php endforeach; ?>
                            </ul>
                        </div>
                    </li>
                    <?php endif; if( !empty( $case_result ) ) : ?>
                    <li class="single-item">
                        <h3><?php esc_html_e( 'Result', 'aeen' ); ?></h3>
                        <div class="item-content">
                            <p><?php echo wp_kses( $case_result, 'allow_link' ); ?></p>
                        </div>
                    </li>
                    <?php endif; ?>
                </ul>
            </div>
        </div>
    </div>
</section>

<?php get_footer(); ?>