<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */
namespace radiustheme\aeen;
use radiustheme\aeen\inc\RDTheme;
use radiustheme\aeen\inc\Helper;

global $post;

$aeen_team_designation = get_post_meta( $post->ID, 'aeen_team_desigantion', true );
$aeen_team_parea       = get_post_meta( $post->ID, 'aeen_team_parea', true );
$aeen_team_experience  = get_post_meta( $post->ID, 'aeen_team_experience', true );
$aeen_team_address     = get_post_meta( $post->ID, 'aeen_team_address', true );
$aeen_team_email       = get_post_meta( $post->ID, 'aeen_team_email', true );
$aeen_team_phone       = get_post_meta( $post->ID, 'aeen_team_phone', true );
$aeen_team_socials     = get_post_meta( $post->ID, 'aeen_team_socials', true );
$social_fields         = Helper::team_socials();

$aeen_team_edu_title   = get_post_meta( $post->ID, 'aeen_team_edu_title', true );
$aeen_team_education   = get_post_meta( $post->ID, 'aeen_team_education', true ); // Repeater

$aeen_team_practice    = get_post_meta( $post->ID, 'aeen_team_practice', true ); // Repeater

$aeen_team_skill_desc  = get_post_meta( $post->ID, 'aeen_team_skill_desc', true ); 
$aeen_team_skill       = get_post_meta( $post->ID, 'aeen_team_skill', true ); // Repeater

?>

<?php get_header(); ?>

<section class="single-team-wrap">
    <div class="container">
        <div class="row sticky-coloum-wrap">
            <div class="col-lg-6 col-12 sticky-coloum-item" data-wow-delay="0.2s">
                <div class="widget">
                    <div class="widget-team-figure">
                        <div class="theiaStickySidebar">
                        <?php the_post_thumbnail(); ?>
                        <?php if( !empty( $aeen_team_socials ) ) : ?>
                        <ul>
                            <li class="single-item"><?php esc_html_e( 'Social Network', 'aeen' ); ?> - </li>
                            <?php
                                foreach ( $aeen_team_socials as $key => $value ) :
                                    if ( !empty( $value ) ) : ?>
                                        <li><a href="<?php echo esc_url( $value ); ?>"><i class="fab <?php echo esc_attr( $social_fields[$key]['icon'] );?>"></i></a></li>
                            <?php endif; endforeach; ?>
                        </ul>
                        <?php endif; ?>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6 col-12 sticky-coloum-item">
                <div class="single-team-box">
                    <div class="mb-4">
                        <h2 class="item-title"><?php the_title(); ?></h2>
                        <?php if( !empty( $aeen_team_designation ) ) : ?>
                        <div class="sub-title"><?php esc_html_e( 'Position', 'aeen' ); ?>: <span><?php echo esc_html( $aeen_team_designation ); ?></span></div>
                        <?php endif; ?>
                        <?php the_content(); ?>
                        <div class="info-items-wrap">
                            <?php if( !empty( $aeen_team_experience ) ) : ?>
                            <div class="info-items"><?php esc_html_e( 'Experience', 'aeen' ); ?>: <span><?php echo esc_html( $aeen_team_experience ); ?></span></div>
                            <?php endif; if( !empty( $aeen_team_address ) ) : ?>
                            <div class="info-items"><?php esc_html_e( 'Location', 'aeen' ); ?>: <span><?php echo wp_kses( $aeen_team_address, 'allow_link' ); ?></span></div>
                            <?php endif; if( !empty( $aeen_team_email ) ) : ?>
                            <div class="info-items"><?php esc_html_e( 'Email', 'aeen' ); ?>: <span><?php echo esc_html( $aeen_team_email ); ?></span></div>
                            <?php endif; if( $aeen_team_phone ) : ?>
                            <div class="info-items"><?php esc_html_e( 'Phone', 'aeen' ); ?>: <span><?php echo esc_html( $aeen_team_phone ); ?></span></div>
                            <?php endif; ?>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-6 col-12">
                            <?php if( !empty( $aeen_team_edu_title || $aeen_team_education ) ) : ?>
                            <div class="team-item-description">
                                <h3 class="description-title"><?php echo esc_html( $aeen_team_edu_title ); ?></h3>
                                <?php foreach( $aeen_team_education as $education) : ?>
                                <p><?php echo esc_html( $education['edu_name'] ); ?><span> <?php echo esc_html( $education['edu_duration']); ?></span></p>
                                <?php endforeach; ?>
                            </div>
                            <?php endif; ?>
                        </div>
                        <div class="col-lg-6 col-12">
                            <?php if( !empty( $aeen_team_practice ) ) : ?>
                            <div class="team-item-description">
                                <h3 class="description-title"><?php esc_html_e( 'Practice Areas', 'aeen' ); ?></h3>
                                <?php foreach( $aeen_team_practice as $practice ) : ?>
                                <p><?php echo esc_html( $practice['practice_name']); ?><span> <?php echo esc_html( $practice['practice_duration']); ?></span></p>
                                <?php endforeach; ?>
                            </div>
                            <?php endif; ?>
                        </div>
                        <div class="col-12">
                            <?php if( !empty( $aeen_team_skill_desc ) ) : ?>
                            <div class="team-item-description">
                                <h3 class="description-title"><?php esc_html_e( 'My Skills', 'aeen' ); ?></h3>
                                <p><?php echo esc_html( $aeen_team_skill_desc ); ?></p>
                            </div>
                            <?php endif; ?>
                        </div>
                    </div>
                    <?php if( !empty( $aeen_team_skill ) ) : ?>
                    <div class="row team-skill">
                        <?php foreach( $aeen_team_skill as $team_skill) : ?>
                        <div class="col-lg-6">
                            <div class="overflow-hidden">
                                <div class="progress">
                                    <div class="lead"><?php echo esc_html( $team_skill['skill_name'] ); ?></div>
                                    <div data-wow-delay="1s" data-wow-duration="1.5s" style="width: <?php echo esc_attr( $team_skill['skill_value'] ); ?>%; visibility: visible; animation-duration: 1.5s; animation-delay: 1s; animation-name: slideInLeft;" data-progress="<?php echo esc_attr( $team_skill['skill_value'] ); ?>%" class="progress-bar wow slideInLeft animated">
                                        <span><?php echo esc_html( $team_skill['skill_value'] ); ?>%</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php endforeach; ?>
                    </div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
    </div>
</section>

<?php get_footer(); ?>