<?php
/*
Plugin Name: Aeen Core
Plugin URI: https://www.radiustheme.com
Description: Aeen Core Plugin for Aeen Theme
Version: 1.6.3
Author: RadiusTheme
Text Domain: aeen-core
Domain Path: /languages
Author URI: https://www.radiustheme.com
*/

use radiustheme\aeen\inc\RDTheme;

if ( ! defined( 'ABSPATH' ) ) exit;

if ( ! defined( 'AEEN_CORE' ) ) {
	$plugin_data = get_file_data( __FILE__, array( 'version' => 'Version' ) );
	define( 'AEEN_CORE',              $plugin_data['version'] );
	define( 'AEEN_CORE_SCRIPT_VER',   ( WP_DEBUG ) ? time() : AEEN_CORE );
	define( 'AEEN_CORE_THEME_PREFIX', 'aeen' );
	define( 'AEEN_CORE_CPT', 		 'aeen' );	
	define( 'AEEN_CORE_BASE_URL', 	 plugin_dir_url( __FILE__ ) );
	define( 'AEEN_CORE_BASE_DIR',     plugin_dir_path( __FILE__ ) );
}

class Aeen_Core {

	public $plugin  = 'aeen-core';
	public $action  = 'aeen_theme_init';
	protected static $instance;

	public function __construct() {
		add_action( 'plugins_loaded',        array( $this, 'load_textdomain' ), 20 );
		add_action( 'plugins_loaded',        array( $this, 'demo_importer' ), 17 );
		add_action( $this->action, 	         array( $this, 'after_theme_loaded' ) );
		add_action( 'rdtheme_social_share',  array( $this, 'social_share' ) );
		add_action( 'rdtheme_social_share2', array( $this, 'social_share2' ) );
		add_action( 'wp_enqueue_scripts',    array( $this, 'aeen_core_enqueue_scripts' ), 20 );
	}

	public static function instance() {
		if ( null == self::$instance ) {
			self::$instance = new self;
		}
		return self::$instance;
	}

	public function aeen_core_enqueue_scripts() {
		wp_enqueue_style( 'aeen-core', AEEN_CORE_BASE_URL . 'assets/css/aeen-core.css' );
		wp_enqueue_script('aeen-core', AEEN_CORE_BASE_URL . 'assets/js/aeen-core.js', array( 'jquery' ), '', true );
	}
	
	public function after_theme_loaded() {
		if ( defined( 'RT_FRAMEWORK_VERSION' ) ) {
			require_once AEEN_CORE_BASE_DIR . 'inc/post-types.php'; // Post Types
			require_once AEEN_CORE_BASE_DIR . 'inc/rt-posts.php'; // Post Fields
			require_once AEEN_CORE_BASE_DIR . 'inc/post-meta.php'; // Post Meta
			require_once AEEN_CORE_BASE_DIR . 'widgets/init.php'; // Widgets
		}

		if ( did_action( 'elementor/loaded' ) ) {
			require_once AEEN_CORE_BASE_DIR . 'elementor/init.php'; // Elementor
		}
	}

	public function social_share( $sharer ){
		include AEEN_CORE_BASE_DIR . 'inc/social-share.php';
	}

	public function social_share2( $sharer ){
		include AEEN_CORE_BASE_DIR . 'inc/social-share2.php';
	}

	public function load_textdomain() {
	    load_plugin_textdomain( $this->plugin, FALSE, basename( dirname( __FILE__ ) ) . '/languages' );
	}

	public function demo_importer() {
		require_once AEEN_CORE_BASE_DIR . 'inc/demo-importer.php';
		require_once AEEN_CORE_BASE_DIR . 'inc/demo-importer-ocdi.php';
	}
}
Aeen_Core::instance();

// Optimizer
require_once 'lib/optimizer/__init__.php';
