<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/about-box/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Aeen_Core;

extract( $data );

$attr = '';
if ( !empty( $data['url']['url'] ) ) {
    $attr  = 'href="' . $data['url']['url'] . '"';
    $attr .= !empty( $data['url']['is_external'] ) ? ' target="_blank"' : '';
    $attr .= !empty( $data['url']['nofollow'] ) ? ' rel="nofollow"' : '';
}

?>

<section class="about-wrap-layout3">
    <div class="row">
        <div class="col-xl-4 col-md-6 col-12 d-flex align-items-center">
            <?php if( !empty( $image['url'] ) ) : 
                $img = wp_get_attachment_image( $image['id'], 'full' );
            ?>
            <div class="about-box-layout5">
                <?php echo wp_kses_post( $img ); ?>
            </div>
            <?php endif; ?>
        </div>
        <div class="col-xl-4 col-md-6 col-12 d-flex align-items-center">
            <div class="about-box-layout6">
                <?php if( !empty( $sub_title ) ) : ?>
                <span class="sub-title"><?php echo esc_html( $sub_title ); ?></span>
                <?php endif; if( !empty( $title ) || !empty( $name ) ) : ?>
                <h2 class="item-title"><?php echo wp_kses_post( $title ); ?> <span><?php echo esc_html( $name ); ?></span></h2>
                <?php endif; if( $content ) : ?>
                <p><?php echo wp_kses_post( $content ); ?></p>
                <?php endif; ?>
                <div class="about-info">
                    <?php if( !empty( $signature_image['url'] ) ) : 
                        $sig_img = wp_get_attachment_image( $signature_image['id'], 'full' );
                    ?>
                    <div class="signature">
                        <?php echo wp_kses_post( $sig_img ); ?>
                    </div>
                    <?php endif; if( !empty( $author_name ) ) : ?>
                    <h3 class="item-title"><?php echo esc_html( $author_name ); ?></h3>
                    <?php endif; if( !empty( $designation ) ) : ?>
                    <p class="item-sub-title"><?php echo esc_html( $designation ); ?></p>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        <div class="col-xl-4 col-12 d-flex align-items-center">
            <div class="about-box-layout7">
                <?php if( !empty( $skill_title ) ) : ?>
                <h3 class="item-title"><?php echo esc_html( $skill_title ); ?></h3>
                <?php endif; if( !empty( $skill_content ) ) : ?>
                <p><?php echo wp_kses_post( $skill_content ); ?></p>
                <?php endif; ?>
                <div class="about-skill">
                    <?php foreach( $skills as $skill ) : ?>
                    <div class="overflow-hidden">
                        <div class="progress">
                            <?php if( !empty( $skill['skill_title'] ) ) : ?>
                            <div class="lead"><?php echo esc_html( $skill['skill_title'] ); ?></div>
                            <?php endif; ?>
                            <div data-wow-delay="<?php echo esc_attr( $animation_delay ); ?>s" data-wow-duration="<?php echo esc_attr( $duration ); ?>s" style="width: <?php echo esc_attr( $skill['skill_number'] ); ?>%; visibility: visible; animation-duration: <?php echo esc_attr( $duration ); ?>s; animation-delay: <?php echo esc_attr( $animation_delay ); ?>s; animation-name: slideInLeft;" data-progress="<?php echo esc_attr( $skill['skill_number'] ); ?>%" class="progress-bar wow slideInLeft animated">
                                <span><?php echo esc_html( $skill['skill_number'] ); ?>%</span>
                            </div>
                        </div>
                    </div>
                    <?php endforeach; ?>
                </div>
            </div>
        </div>
    </div>
</section>