<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Aeen_Core;
extract( $data );

$attr = '';
if ( !empty( $data['url']['url'] ) ) {
	$attr  = 'href="' . $data['url']['url'] . '"';
	$attr .= !empty( $data['url']['is_external'] ) ? ' target="_blank"' : '';
	$attr .= !empty( $data['url']['nofollow'] ) ? ' rel="nofollow"' : '';
}

?>

<div class="main-banner main-banner-layout1 main-banner-layout3" data-overlay="42">
	<div class="hero-company-info">
		<ul>
			<?php if( !empty( $email ) ) : ?>
				<li><a href="mailto:<?php echo esc_attr( $email ); ?>"><?php echo esc_html( $email ); ?></a></li>
			<?php endif; if( !empty( $phone ) ) : ?>
				<li><i class="fas fa-phone"></i><a href="tel:<?php echo esc_attr( $phone ); ?>"><?php echo esc_html( $phone ); ?></a></li>
			<?php endif; ?>
		</ul>
	</div>
	<div class="container d-flex align-items-center justify-content-center">
		<div class="row">
			<div class="col-lg-8 offset-lg-2">
				<div class="main-banner-box-layout1">
					<div class="banner-content banner-content-3 text-center wow animated fadeInUp" data-wow-delay="0.2s">
						<?php if( !empty( $sub_title ) ) : ?>
						<div class="sub-title"><?php echo esc_html( $sub_title ); ?></div>
						<?php endif; if( !empty( $title ) ) : ?>
						<h1 class="main-title"><?php echo esc_html( $title ); ?></h1>
						<?php endif; if( !empty( $desc ) ) : ?>
						<p class="banner-paragraph"><?php echo wp_kses_post( $desc );?></p>
						<?php endif; ?>
						<?php if( !empty( $data['btntext'] ) ) : ?>
						<a <?php echo $attr; ?> class="btn-fill"><?php echo esc_html( $data['btntext'] ); ?></a>
						<?php endif; ?>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>