<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Aeen_Core;
extract( $data );

$attr = '';
if ( !empty( $data['url']['url'] ) ) {
	$attr  = 'href="' . $data['url']['url'] . '"';
	$attr .= !empty( $data['url']['is_external'] ) ? ' target="_blank"' : '';
	$attr .= !empty( $data['url']['nofollow'] ) ? ' rel="nofollow"' : '';
}

$img1 = wp_get_attachment_image( $bg_image1['id'], 'full', "", array( "class" => "home-banner-4" ) );
$img2 = wp_get_attachment_image( $bg_image2['id'], 'full' );

?>

<div class="main-banner main-banner-layout4 primary-bg-4 fix">
	<?php 
		if( !empty( $img1 ) ) : 
			echo wp_kses_post( $img1 );
		endif;
	?>
	<div class="container-fluid">
		<div class="row d-flex align-items-center">
			<div class="col-lg-6">
				<div class="content-box content-box-4">
					<?php if( !empty( $title ) ) : ?>
					<h1 class="banner-big-text wow animated fadeInUp" data-wow-delay="0.2s"><?php echo wp_kses_post( $title );?></h1>
					<?php endif; if( !empty( $desc ) ) : ?>
					<p class="banner-paragraph wow animated fadeInUp" data-wow-delay="0.4s"> <?php echo wp_kses_post( $desc );?></p>
					<?php endif; ?>
					<?php if( !empty( $data['btntext'] ) ) : ?>
					<div class="banner-btns wow animated fadeInUp" data-wow-delay="0.6s">
						<a <?php echo $attr; ?> class="btn-fill btn-fill-four"><?php echo esc_html( $data['btntext'] ); ?></a>
					</div>
					<?php endif; ?>
				</div>
			</div>
			<?php if( !empty( $img2 ) ) : ?>
			<div class="col-lg-6">
				<div class="content-img wow animated fadeInRight" data-wow-delay="0.2s">
					<?php echo wp_kses_post( $img2 ); ?>
				</div>
			</div>
			<?php endif; ?>
		</div>
	</div>
</div>