<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Aeen_Core;
use radiustheme\aeen\inc\Helper;
extract( $data );

$cpt         = AEEN_CORE_CPT;
$thumb_size  = "aeen-case-style6-thumb";
    $args = array(
        'post_type'      => "{$cpt}_case_study",
        'posts_per_page' => $data['number'],
        'orderby'        => $data['orderby'],
    );

if ( !empty( $data['cat'] ) ) {
    $args['tax_query'] = array(
        array(
            'taxonomy' => "{$cpt}_case_study_category",
            'field' => 'term_id',
            'terms' => $data['cat'],
        )
    );
}
switch ( $data['orderby'] ) {
    case 'title':
    case 'menu_order':
    $args['order'] = 'ASC';
    break;
}
$query = new \WP_Query( $args );
$i = 0;
?>

<div class="row">
    <?php if ( $query->have_posts() ) : ?>
    <?php while ( $query->have_posts() ) : $query->the_post(); ?>
        <?php
            $id           = get_the_id();             
            $_designation = get_post_meta( $id, "{$cpt}_case_desigantion", true );
            $_designation = get_post_meta( $id, "{$cpt}_case_desigantion", true );
            $content      = Helper::get_current_post_content();
            $i++;

            if( $i < 3 ) {
                $animation_delay = 0.4;
            }else{
                $animation_delay = 0.6; 
            }                
        ?>
    <div class="col-md-6 col-12 wow animated fadeInUp" data-wow-delay="<?php echo esc_attr( $animation_delay ); ?>s">
        <div class="case-study-box-layout2">
            <?php if( has_post_thumbnail() ) : ?>
            <div class="item-figure">
                <a data-tilt href="<?php esc_url( the_permalink() ); ?>">
                    <?php the_post_thumbnail( $thumb_size ); ?>
                </a>
            </div>
            <?php endif; ?>
            <div class="item-content">
                <h3 class="item-title"><a href="<?php esc_url( the_permalink()); ?>"><?php esc_html( the_title() ); ?></a></h3>
                <?php if( !empty( $_designation ) && $designation_display == 'yes' ) : ?>
                <div class="item-sub-title"><?php echo esc_html( $_designation ); ?></div>
                <?php endif; ?>
            </div>
        </div>
    </div>
    <?php endwhile; wp_reset_postdata(); ?>
    <?php endif; ?>
</div>