<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Aeen_Core;
use Elementor\Utils;
use Elementor\Group_Control_Border;
use Elementor\Group_Control_Typography;
use Elementor\Group_Control_Background;
extract( $data );

$attr = '';
if ( !empty( $data['cta_btn_link']['url'] ) ) {
	$attr  = 'href="' . $data['cta_btn_link']['url'] . '"';
	$attr .= !empty( $data['cta_btn_link']['is_external'] ) ? ' target="_blank"' : '';
	$attr .= !empty( $data['cta_btn_link']['nofollow'] ) ? ' rel="nofollow"' : '';
}

?>


<!--=====================================-->
<!--=     Call To Action Area Start     =-->
<!--=====================================-->
<section class="call-to-action-wrap-layout1 has-animation">
    <?php if( $data['cta_bg_image']['url'] ) : 
        $img = wp_get_attachment_image( $data['cta_bg_image']['id'], 'full' ); 
    ?>
    <div class="animated-figure">
        <div class="translate-right-50 transition-100 opacity-animation transition-delay-100">
            <?php echo wp_kses_post( $img ); ?>
        </div>
    </div>
    <?php endif; ?>
    <div class="row">
        <div class="col-lg-8 col-12">
            <?php if( $data['cta_title'] ) : ?>
            <div class="call-to-action-box-layout1">
                <h2 class="item-title"><?php echo wp_kses_post( $data['cta_title'] ); ?></h2>
            </div>
            <?php endif; ?>
        </div>
        <div class="col-lg-4 col-12 d-flex align-items-center justify-content-center justify-content-lg-end">
            <?php if( $data['cta_btn_link']['url'] ||  $data['cta_btn_txt'] ) : ?>
            <div class="call-to-action-box-layout1">
                <a <?php echo $attr; ?> class="btn-fill"><?php echo wp_kses_post( $data['cta_btn_txt'] ); ?></a>
            </div>
            <?php endif; ?>
        </div>
    </div>
</section>