<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Aeen_Core;
use Elementor\Utils;
use Elementor\Group_Control_Border;
use Elementor\Group_Control_Typography;
use Elementor\Group_Control_Background;
extract( $data );

$attr = '';
if ( !empty( $data['cta_btn_link']['url'] ) ) {
	$attr  = 'href="' . $data['cta_btn_link']['url'] . '"';
	$attr .= !empty( $data['cta_btn_link']['is_external'] ) ? ' target="_blank"' : '';
	$attr .= !empty( $data['cta_btn_link']['nofollow'] ) ? ' rel="nofollow"' : '';
}

?>

<section class="call-to-action-wrap-layout3 parallaxie">
    <div class="call-to-action-box-layout3">
        <?php if( !empty( $data['cta_title'] ) ) : ?>
        <h2 class="item-title"><span><?php echo wp_kses_post( $data['cta_title'] ); ?></span></h2>
        <?php endif; if( !empty( $data['cta_phone'] ) ) : ?>
        <h3 class="sub-title"><?php esc_html_e( 'Call', 'aeen-core' ); ?> <span><a href="tel:<?php echo esc_attr( str_replace( ' ', '', $data['cta_phone'] ) ); ?>"><?php esc_html_e( 'Tel', 'aeen-core' ); ?>:<?php echo esc_html( $data['cta_phone'] ); ?></a></span></h3>
        <?php endif; if( !empty( $data['cta_email'] ) || !empty( $data['cta_open_time'] ) ) : ?>
        <ul class="list-info">
            <li><?php echo esc_html( $data['cta_email'] ); ?></li>
            <li><?php echo esc_html( $data['cta_open_time'] ); ?></li>
        </ul>
        <?php endif; ?>
    </div>
</section>