<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/class.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Aeen_Core;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;
use Elementor\Group_Control_Typography;
use Elementor\Group_Control_Background;

if ( ! defined( 'ABSPATH' ) ) exit;

class Footer extends Custom_Widget_Base {

	public function __construct( $data = [], $args = null ){
		$this->rt_name = __( 'Footers', 'aeen-core' );
		$this->rt_base = 'rt-footer';
		parent::__construct( $data, $args );
	}

	public function rt_fields(){
		$fields = array(
			array(
				'id'      => 'sec_footer',
				'mode'    => 'section_start',
				'label'   => __( 'Footer', 'aeen-core' ),
			),
			array(
				'id'      => 'footer_style',				 
			   	'type'    => Controls_Manager::CHOOSE,
			   	'label'   => esc_html__( 'Header Type', 'aeen-core' ),
			   	'options' => [
				    '1' => [
				       'title' => esc_html__( 'Header 1', 'aeen-core' ),
				       'icon' => 'fa fa-image',
				    ],
				    '2' => [
				       'title' => esc_html__( 'Header 2', 'aeen-core' ),
				       'icon' => 'fa fa-image',
				    ],	
				    '3' => [
				       'title' => esc_html__( 'Header 3', 'aeen-core' ),
				       'icon' => 'fa fa-image',
				    ],
				    '4' => [
				       'title' => esc_html__( 'Header 4', 'aeen-core' ),
				       'icon' => 'fa fa-image',
				    ],	
				    '5' => [
				       'title' => esc_html__( 'Header 5', 'aeen-core' ),
				       'icon' => 'fa fa-image',
				    ],		     
			   	],
			   	'default' => '1',
			   	'label_block' => true,
			   	'toggle' => false,
			),
			array(
				'mode' => 'section_end',
			),
		);
		return $fields;
	}

	protected function render() {
		$data = $this->get_settings();

		$template = 'view';

		return $this->rt_template( $template, $data );
	}
}