<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/class.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Aeen_Core;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;
use Elementor\Group_Control_Border;
use Elementor\Group_Control_Typography;
use Elementor\Group_Control_Background;

if ( ! defined( 'ABSPATH' ) ) exit;

class RT_Gallery extends Custom_Widget_Base {

	public function __construct( $data = [], $args = null ){
		$this->rt_name = __( 'RT Gallery', 'aeen-core' );
		$this->rt_base = 'rt-gallery';
		parent::__construct( $data, $args );
	}

	public function rt_fields(){
		$fields = array(
			array(
				'id'      => 'rt_gallery',
				'mode'    => 'section_start',
				'label'   => __( 'Gallery', 'aeen-core' ),
			),

			array(
				'type'    => Controls_Manager::REPEATER,
				'id'      => 'gallery_items',
				'label'   => esc_html__( 'Add as many service box as you want', 'aeen-core' ),
				'fields'  => array(
					array(
						'type'    => Controls_Manager::MEDIA,
						'name'    => 'gallery_img',
						'label'   => esc_html__( 'Image', 'aeen-core' ),
						'description' => esc_html__( 'Add your gallery images', 'aeen-core' ),
						'default' => [
		                    'url' => $this->rt_placeholder_image(),
		                ],
					),
					array(
						'name'      => 'animation_delay',
						'label'   =>esc_html__( 'Animation Delay', 'aeen-core' ),
						'type'    => Controls_Manager::NUMBER,
						'default' => 0.2,
						'description' =>esc_html__( 'Animation delay in second', 'aeen-core' ),
					),
				),
				'default' => array(
					array( 'gallery_img' => '' ),
					array( 'gallery_img' => '' ),
					array( 'gallery_img' => '' ),
					array( 'gallery_img' => '' ),
					array( 'gallery_img' => '' ),
					array( 'gallery_img' => '' ),
					array( 'gallery_img' => '' ),
					array( 'gallery_img' => '' ),
					array( 'gallery_img' => '' ),
					array( 'gallery_img' => '' ),
				),
			),
			
			array(
				'mode' => 'section_end',
			),
		);
		return $fields;
	}

	protected function render() {
		$data = $this->get_settings();

		$template = 'view';

		return $this->rt_template( $template, $data );
	}
}