<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/about-box/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Aeen_Core;
use Elementor\Utils;
use Elementor\Group_Control_Background;
extract( $data );


$attr = '';

if ( !empty( $data['imgbox_btnurl']['url'] ) ) {
    $attr  = 'href="' . $data['imgbox_btnurl']['url'] . '"';
    $attr .= !empty( $data['imgbox_btnurl']['is_external'] ) ? ' target="_blank"' : '';
    $attr .= !empty( $data['imgbox_btnurl']['nofollow'] ) ? ' rel="nofollow"' : '';
    
}

?>

<div class="case-study-box-layout1 wow animated fadeInUp" data-wow-delay="<?php echo esc_attr( $animation_delay ); ?>s">
    <?php if (!empty( $image1['url'] )) : 
        $img = wp_get_attachment_image( $image1['id'], 'full' );
    ?>
    <div class="item-figure">
        <a data-tilt href="<?php echo esc_url( $data['imgbox_btnurl']['url'] );?>">
            <?php echo wp_kses_post( $img ); ?>
        </a>
    </div>
    <?php endif; ?>
    <div class="item-content">
        <?php if( !empty( $imgbox_title ) ) : ?>
        <h3 class="item-title"><a href="<?php echo esc_url( $data['imgbox_btnurl']['url'] );?>"><?php echo esc_html( $imgbox_title ); ?></a></h3>
        <?php endif; if( $imgbox_sub_title ) : ?>
        <div class="item-sub-title"><?php echo esc_html( $imgbox_sub_title ); ?></div>
        <?php endif; if( $imgbox_desc ) : ?>
        <p><?php echo wp_kses_post( $imgbox_desc ); ?></p>
        <?php endif; if( $imgbox_button_display ) : ?>
        <a href="<?php echo esc_url( $data['imgbox_btnurl']['url'] );?>" class="btn-fill"><?php echo esc_html( $imgbox_btn_text ); ?></a>
        <?php endif; ?>
    </div>
</div>