<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Aeen_Core;
use radiustheme\aeen\inc\RDTheme;
use radiustheme\aeen\inc\Helper;

$post_type    = $data['post_type'];
$taxonomy     = $data['taxonomy_type'];
$terms 	      = $data['terms'];
$number       = $data['number'];
$excerpt      = $data['excerpt_lenght'];
$orderby      = $data['orderby'];
$order        = $data['order'];
$filt_pagi    = $data['filter_pagination'];
$layout       = $data['layout'];
$social_share = $data['post_social_share_icons'];

if( !empty( $data['taxonomy_type'] )){
    $terms = get_terms( array(
        'taxonomy' => $taxonomy,
        'hide_empty' => true,
    ));
    foreach ( $terms as $term ){
        $term_id[] = $term -> id;
    }
}

if ( !empty( $data['terms'] ) ){
    $category = $data['terms'];            
} elseif( !empty( $data['taxonomy_type'] )) {
    $category = $term_id;
} else {
    $category = '';
}

$paged = 1;
if ( get_query_var('paged') ) {
  $paged = get_query_var('paged');
} else if ( get_query_var('page') ) {
  $paged = get_query_var('page');
}

$col_class = "col-lg-{$data['col_lg']} col-md-{$data['col_md']} col-sm-{$data['col_sm']} col-{$data['col_xs']}";

?>


<?php 
    $grid_query = null;
    $args       = null;
    $args = array(
        'post_type'        => $post_type,
        'posts_per_page'   => $number,
        'post_status'      => 'publish',
        'orderby'          => $orderby,
        'order'            => $order,
        'paged'            => $paged,
    );

    if( !empty($data['taxonomy_type']) && !empty($data['terms'])){
      $args['tax_query'] = array(
        array(
          'taxonomy'         => $taxonomy,
          'field'            => 'id',
          'terms'            => $category, // Where term_id of Term 1 is "1".
          'include_children' => false,
        )
      );
    }
    $grid_query = new \WP_Query( $args );
    if ( $grid_query->have_posts() ) : 
?>
<div class="row rc-carousel nav-control-layout2" data-options='{"trigger_start": 991, "trigger_end": 0}' data-loop="true" data-items="30" data-margin="10" data-autoplay="false" data-autoplay-timeout="5000" data-smart-speed="700" data-dots="false" data-nav="true" data-nav-speed="false" data-r-x-small="1" data-r-x-small-nav="true" data-r-x-small-dots="false" data-r-x-medium="1" data-r-x-medium-nav="true" data-r-x-medium-dots="false" data-r-small="2" data-r-small-nav="true" data-r-small-dots="false" data-r-medium="2" data-r-medium-nav="true" data-r-medium-dots="false" data-r-large="3" data-r-large-nav="true" data-r-large-dots="false" data-r-extra-large="3" data-r-extra-large-nav="true" data-r-extra-large-dots="false">
    <?php
        $i = 0; 
        while ( $grid_query->have_posts() ) : $grid_query->the_post();
        $i += 2; 
    ?>
    <div class="<?php echo esc_attr( $col_class ); ?> wow animated fadeInUp" data-wow-delay="0.<?php echo esc_attr( $i ); ?>s">
        <div class="blog-box-layout2">
            <?php if( has_post_thumbnail(  ) ) : ?>
            <div class="item-figure">
                <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'aeen-homeblog2' ); ?></a>
            </div>
            <?php endif; ?>
            <div class="item-content">
                <?php if( $data['post_date'] == 'on' ) : ?>
                <div class="item-date">
                    <div class="item-day"><?php echo get_the_time( 'd' ); ?></div>
                    <div class="item-month"><?php echo get_the_time( 'M' ); ?></div>
                </div>
                <?php endif; ?>
                <h3 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                <ul class="entry-meta">
                    <?php if( $data['post_admin'] == 'on' ) : ?>
                    <li class="item-author">
                       <i class="far fa-user"></i>
                        <?php the_author_posts_link(); ?>
                    </li>
                    <?php endif; ?>
                    <?php if ( $data['post_cat'] == 'on' && has_category() ): ?>
                    <li>
                        <i class="fas fa-tags"></i>
                        <?php the_category( ', ' ); ?>     
                    </li>
                    <?php endif; ?>
                </ul>
                <p><?php echo esc_html( wp_trim_words( get_the_content(), $excerpt, '.' ) ); ?></p>
                <a href="<?php the_permalink(); ?>" class="blog-btn"><?php esc_html_e( 'Read More', 'aeen-core' ); ?><i class="fas fa-angle-right"></i></a>
            </div>
        </div>
    </div>
    <?php endwhile; wp_reset_postdata(); ?>
</div>
<?php else: ?>
    <p><?php esc_html_e( 'Sorry, posts not found. ','aeen-core' ); ?></p>
<?php endif; ?>

