<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Aeen_Core;
use radiustheme\aeen\inc\RDTheme;
use radiustheme\aeen\inc\Helper;

$post_type    = $data['post_type'];
$taxonomy     = $data['taxonomy_type'];
$terms 	      = $data['terms'];
$number       = $data['number'];
$excerpt      = $data['excerpt_lenght'];
$orderby      = $data['orderby'];
$order        = $data['order'];
$filt_pagi    = $data['filter_pagination'];
$layout       = $data['layout'];
$social_share = $data['post_social_share_icons'];

if( !empty( $data['taxonomy_type'] )){
    $terms = get_terms( array(
        'taxonomy' => $taxonomy,
        'hide_empty' => true,
    ));
    foreach ( $terms as $term ){
        $term_id[] = $term -> id;
    }
}

if ( !empty( $data['terms'] ) ){
    $category = $data['terms'];            
} elseif( !empty( $data['taxonomy_type'] )) {
    $category = $term_id;
} else {
    $category = '';
}

$paged = 1;
if ( get_query_var('paged') ) {
  $paged = get_query_var('paged');
} else if ( get_query_var('page') ) {
  $paged = get_query_var('page');
}

$col_class = "col-lg-{$data['col_lg']} col-md-{$data['col_md']} col-sm-{$data['col_sm']} col-{$data['col_xs']}";

?>


<?php 
    $grid_query = null;
    $args       = null;
    $args = array(
        'post_type'        => $post_type,
        'posts_per_page'   => $number,
        'post_status'      => 'publish',
        'orderby'          => $orderby,
        'order'            => $order,
        'paged'            => $paged,
    );

    if( !empty($data['taxonomy_type']) && !empty($data['terms'])){
      $args['tax_query'] = array(
        array(
          'taxonomy'         => $taxonomy,
          'field'            => 'id',
          'terms'            => $category, // Where term_id of Term 1 is "1".
          'include_children' => false,
        )
      );
    }
    $grid_query = new \WP_Query( $args );
    if ( $grid_query->have_posts() ) : 
?>

<div class="row nav-control-layout2 justify-content-center">
    <?php
        $i = 0; 
        while ( $grid_query->have_posts() ) : $grid_query->the_post();
        $i++;

        if( $i == 2 ) { ?>
        <div class="<?php echo esc_attr( $col_class ); ?> wow animated fadeInUp d-flex flex-column-reverse" data-wow-delay="0.2s">
            <div class="blog-box-layout2 blog-box-layout4 blog-box-layout4-blog2">
                <div class="item-content mb-30">
                    <?php if( $data['post_date'] == 'on' ) : ?>
                    <div class="item-dates">
                        <span class="item-day"><?php echo get_the_time( 'd' ); ?></span>
                        <span class="item-month"><?php echo get_the_time( 'M' ); ?></span>
                        <span class="item-year"><?php echo get_the_time( 'Y' ); ?></span>
                    </div>
                    <?php endif; ?>
                    <h3 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                    </h3>
                    <div class="item-meta">
                        <ul>
                            <?php if( $data['post_admin'] == 'on' ) : ?>
                            <li>
                                <span><i class="fas fa-user"></i></span>
                                <?php the_author_posts_link(); ?>
                            </li>
                            <?php endif; ?>
                            <?php if ( $data['post_cat'] == 'on' && has_category() ): ?>
                            <li>
                                <span><i class="fas fa-tags"></i></span>
                                <?php the_category( ', ' ); ?>
                            </li>
                            <?php endif; ?>
                        </ul>
                    </div>
                </div>
                <div class="item-figure">
                    <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'aeen-homeblog1' ); ?></a>
                </div>
            </div>
        </div>
    <?php }else{ ?>
    <div class="<?php echo esc_attr( $col_class ); ?> wow animated fadeInUp" data-wow-delay="0.2s">
        <div class="blog-box-layout2 blog-box-layout4">
            <div class="item-figure mb-30">
                <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail( 'aeen-homeblog1' ); ?></a>
            </div>
            <div class="item-content">
                <?php if( $data['post_date'] == 'on' ) : ?>
                <div class="item-dates">
                    <span class="item-day"><?php echo get_the_time( 'd' ); ?></span>
                    <span class="item-month"><?php echo get_the_time( 'M' ); ?></span>
                    <span class="item-year"><?php echo get_the_time( 'Y' ); ?></span>
                </div>
                <?php endif; ?>
                <h3 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                </h3>
                <div class="item-meta">
                    <ul>
                        <?php if( $data['post_admin'] == 'on' ) : ?>
                        <li>
                            <span><i class="fas fa-user"></i></span>
                        <?php the_author_posts_link(); ?>
                        </li>
                        <?php endif; ?>
                        <?php if ( $data['post_cat'] == 'on' && has_category() ): ?>
                        <li>
                            <span><i class="fas fa-tags"></i></span>
                            <?php the_category( ', ' ); ?>
                        </li>
                        <?php endif; ?>
                    </ul>
                </div>
            </div>
        </div>
    </div>          
    <?php } ?>
    <?php endwhile; wp_reset_postdata(); ?>
</div>
<?php else: ?>
    <p><?php esc_html_e( 'Sorry, posts not found. ','aeen-core' ); ?></p>
<?php endif; ?>

