<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Aeen_Core;
use \WP_Query;
use radiustheme\aeen\inc\RDTheme;
use radiustheme\aeen\inc\Helper;

$prefix      = AEEN_THEME_PREFIX;
$cpt         = AEEN_THEME_CPT_PREFIX;
$thumb_size  = "aeen-size-md";
extract( $data );
$paged = 1;
if ( get_query_var('paged') ) {
  $paged = get_query_var('paged');
} else if ( get_query_var('page') ) {
  $paged = get_query_var('page');
}

$args = array(
    'post_type'      => "{$cpt}_practice",
    'posts_per_page' => $data['number'],
    'orderby'        => $data['orderby'],
    'paged'          =>  $paged
);
if ( !empty( $data['cat'] ) ) {
    $args['tax_query'] = array(
        array(
            'taxonomy' => "{$cpt}_practice_category",
            'field' => 'term_id',
            'terms' => $data['cat'],
        )
    );
}
switch ( $data['orderby'] ) {
    case 'title':
    case 'menu_order':
    $args['order'] = 'ASC';
    break;
}

$query = new WP_Query( $args );


?>


<div class="row">
    <?php 
        $i = 0;
        if ( $query->have_posts() ) :
            while ( $query->have_posts() ) : $query->the_post();

        $post_id        = get_the_id(); 
        $content        = Helper::get_current_post_content();
        $content        = wp_trim_words( $content, $data['count'], '.' );
        $content        = "<p>$content</p>"; 
        $practice_icon  = get_post_meta( $post_id, "aeen_practice_icon", true );
        $i++;

        for ( $j = $i; $j  < 4 ; $j ++ ) { 
            $j += 2;   
        }                     
    ?>
    <div class="col-xl-4 col-md-6 col-12 wow animated fadeInUp" data-wow-delay="0.<?php echo esc_attr( $j ); ?>s">
        <div class="practice-box-layout1">
            <div class="item-icon">
                <i class="<?php echo esc_attr( $practice_icon ); ?>"></i>
            </div>
            <h3 class="item-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
            <?php if( !empty( $data['services_content'] ) ) : ?>
                <?php echo wp_kses_post( $content );?>
            <?php endif; ?>
        </div>
    </div>
    <?php endwhile; wp_reset_postdata(); ?>
    <?php endif;?>
</div>


