<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Aeen_Core;
use \WP_Query;
use radiustheme\aeen\inc\RDTheme;
use radiustheme\aeen\inc\Helper;

$prefix      = AEEN_THEME_PREFIX;
$cpt         = AEEN_THEME_CPT_PREFIX;
$thumb_size  = "aeen-homeblog1";
extract( $data );
$paged = 1;
if ( get_query_var('paged') ) {
  $paged = get_query_var('paged');
} else if ( get_query_var('page') ) {
  $paged = get_query_var('page');
}

$args = array(
    'post_type'      => "{$cpt}_practice",
    'posts_per_page' => $data['number'],
    'orderby'        => $data['orderby'],
    'paged'          =>  $paged
);
if ( !empty( $data['cat'] ) ) {
    $args['tax_query'] = array(
        array(
            'taxonomy' => "{$cpt}_practice_category",
            'field' => 'term_id',
            'terms' => $data['cat'],
        )
    );
}
switch ( $data['orderby'] ) {
    case 'title':
    case 'menu_order':
    $args['order'] = 'ASC';
    break;
}

$col_class = "col-lg-{$data['col_lg']} col-md-{$data['col_md']} col-sm-{$data['col_sm']} col-{$data['col_xs']}";

$query = new WP_Query( $args );

?>
<div class="row">
    <?php 
        $i = 1;
        if ( $query->have_posts() ) :
            while ( $query->have_posts() ) : $query->the_post();

        $post_id        = get_the_id(); 
        $content        = Helper::get_current_post_content();
        $content        = wp_trim_words( $content, $data['count'], '.' );
        $content        = "<p>$content</p>"; 
        $i++;                    
    ?>
    <div class="<?php echo esc_attr( $col_class ); ?> mb-30">
        <div class="practice-item wow  fadeInUp animated" data-wow-delay="0.<?php echo esc_attr( $i ); ?>s">
            <?php if( has_post_thumbnail() ) : ?>
            <div class="item-thumb">
                <a href="<?php the_permalink(); ?>">
                    <?php the_post_thumbnail( $thumb_size ); ?>
                </a>
            </div>
            <?php endif; ?>
            <div class="practice-box-layout1 practice-box-layout2 practice-box-layout4">
                <h3 class="item-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
               <?php if( !empty( $data['services_content'] ) ) : ?>
                    <?php echo wp_kses_post( $content );?>
                <?php endif; ?>
                <a class="item-link" href="<?php the_permalink(); ?>"><?php esc_html_e( 'Learn More', 'aeen-core' ); ?></a>
            </div>
        </div>
    </div>
    <?php endwhile; wp_reset_postdata(); ?>
    <?php endif;?>
</div>


