<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Aeen_Core;

extract( $data );

$offer_list = array();
foreach ( $data['offers'] as $value ) {
	$offer_list[] = array(
		'offer'   => $value['offer_name'],
	);
}

$attr = '';
if ( !empty( $data['buttonurl']['url'] ) ) {
    $attr  = 'href="' . $data['buttonurl']['url'] . '"';
    $attr .= !empty( $data['buttonurl']['is_external'] ) ? ' target="_blank"' : '';
    $attr .= !empty( $data['buttonurl']['nofollow'] ) ? ' rel="nofollow"' : '';
    $title = '<a ' . $attr . '>' . $data['title'] . '</a>';
    
}

if ( !empty( $data['buttontext'] ) ) {
    $btn = '<a class="btn-fill" ' . $attr . '>' . $data['buttontext'] . '</a>';
}
?>


<div class="pricing-box-layout1 wow animated fadeInUp" data-wow-delay="<?php echo esc_attr( $animation_delay ); ?>s">
    <div class="item-header">
        <?php if( !empty( $title ) ) : ?>
        <h3 class="item-title"><?php echo esc_html( $data['title'] ); ?></h3>
        <?php endif; if( !empty( $price ) && !empty( $price_symbol ) ) : ?>
        <div class="item-price"><span class="item-currency"><?php echo esc_html( $price_symbol ); ?></span><?php echo esc_html( $price ); ?><span class="duration"> / <?php esc_html_e( 'per month', 'aeen-core' ); ?></span> </div>
        <?php endif; ?>
    </div>
    <div class="item-body">
        <ul class="item-info">
            <?php foreach ( $offer_list as $offer ){ ?>
            <li><?php echo esc_html( $offer['offer'] ); ?></li>
            <?php } ?>
        </ul>
    </div>
    <?php if ( !empty( $btn ) ){ ?>
    <div class="item-footer">
        <?php echo wp_kses_post( $btn );?>
    </div>
    <?php } ?>
</div>


