<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Aeen_Core;

use Elementor\Utils;
use Elementor\Group_Control_Image_Size;
extract( $data );

$box_style      = $data[ 'box_style' ];
$service_boxes1 = $data[ 'service_boxes1' ];


?>


<?php if( $box_style == 'style1' ) : ?>
<section class="feature-wrap-layout1">
	<div class="row no-gutters d-md-flex justify-content-center">
		<?php foreach( $service_boxes1 as $service_box1 ) : 
			$sbox_title   = $service_box1[ 'sbox_title' ];
			$sbox_content = $service_box1[ 'sbox_content' ];
			$sbox_icon    = $service_box1[ 'sbox_icon' ];

			$sbox_tablet_col = $service_box1[ 'sbox_tablet_col' ];

			if ( $sbox_tablet_col === 'yes' ) {
				$col_class = 'col-lg-4 col-12';
			}else{
				$col_class = 'col-lg-4 col-md-6 col-12';
			}

		?>
		<div class="<?php echo esc_attr( $col_class ); ?>">
			<div class="feature-box-layout1">

				<div class="item-icon">
					<i class="<?php echo esc_attr( $sbox_icon['value'] ); ?>"></i>
				</div>
				<?php if( !empty( $sbox_title ) ) : ?>
				<h3 class="item-title"><?php echo esc_html( $sbox_title ); ?></h3>
				<?php endif; if( !empty( $sbox_content ) ) : ?>
				<p><?php echo esc_html( $sbox_content ); ?></p>
				<?php endif; ?>
			</div>
		</div>
		<?php endforeach; ?>
	</div>
</section>
<?php endif; ?>