<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Aeen_Core;

use Elementor\Utils;
use Elementor\Group_Control_Image_Size;
extract($data);

$box_style      = $data[ 'box_style' ];
$service_boxes2 = $data[ 'service_box_two' ];

?>

<?php if( $box_style == 'style2' ) : ?>
<div class="row">
	<?php foreach( $service_boxes2 as $service_box ) :
		$sbox_title   	 = $service_box[ 'sbox_two_title' ];
		$sbox_content 	 = $service_box[ 'sbox_two_content' ];
		$sbox_icon       = $service_box[ 'sbox_two_icon' ];
		$sbox2_img       = !empty( $service_box[ 'sbox_image' ][ 'url' ] );
		$sbox2_link      = $service_box[ 'sbox_two_url' ];
		$animation_delay = $service_box['animation_delay'];

		$attr = '';
		
		if ( !empty( $sbox2_link['url'] ) ) {
			$attr  = 'href="' . $sbox2_link['url'] . '"';
			$attr .= !empty( $sbox2_link['is_external'] ) ? ' target="_blank"' : '';
			$attr .= !empty( $sbox2_link['nofollow'] ) ? ' rel="nofollow"' : '';
		}
	?>
	<div class="col-xl-4 col-md-6 col-12 wow animated fadeInUp" data-wow-delay="<?php echo esc_attr( $animation_delay ); ?>s">
		<div class="service-box-layout1">
			<?php if( !empty( $service_box[ 'sbox_image' ][ 'url' ] ) ) : 
				 $img = wp_get_attachment_image( $service_box['sbox_image']['id'], 'full' ); 
			?>
			<div class="item-figure">
				<?php echo wp_kses_post( $img ); ?>
			</div>
			<?php endif; ?>
			<div class="item-content">
				<?php if( !empty( $sbox_icon ) ) : ?>
				<div class="item-icon">
					<i class="<?php echo esc_attr( $sbox_icon['value'] ); ?>"></i>
				</div>
				<?php endif; if( !empty( $sbox_title ) ) : ?>
				<h3 class="item-title"><a <?php echo $attr; ?>><?php echo esc_html( $sbox_title ); ?></a></h3>
				<?php endif; if( !empty( $sbox_content ) ) : ?>
				<p><?php echo esc_html( $sbox_content ); ?></p>
				<?php endif; ?>
			</div>
		</div>
	</div>
	<?php endforeach; ?>
</div>
<?php endif; ?>

