<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Aeen_Core;

use Elementor\Utils;
use Elementor\Group_Control_Image_Size;
extract($data);

$box_style      = $data[ 'box_style' ];
$service_boxes4 = $data[ 'service_box_four' ];

?>

<?php if( $box_style == 'style4' ) : ?>
<div class="row">
	<?php foreach( $service_boxes4 as $service_box ) :
		$sbox_icon       = $service_box[ 'sbox_four_icon' ]; 
		$sbox_title      = $service_box[ 'sbox_four_title' ];
		$sbox_content    = $service_box[ 'sbox_four_content' ];
		$animation_delay = $service_box[ 'animation_delay' ];

		$attr = '';
		if ( !empty( $service_box['sbox_four_url']['url'] ) ) {
			$attr  = 'href="' . $service_box['sbox_four_url']['url'] . '"';
			$attr .= !empty( $service_box['sbox_four_url']['is_external'] ) ? ' target="_blank"' : '';
			$attr .= !empty( $service_box['sbox_four_url']['nofollow'] ) ? ' rel="nofollow"' : '';
		}

	?>
	<div class="col-xl-4 col-md-6 col-12 wow animated fadeInUp" data-wow-delay="<?php echo esc_attr( $animation_delay ); ?>s">
		<div class="practice-box-layout1">
			<?php if( !empty( $sbox_icon ) ) : ?>
			<div class="item-icon">
				<i class="<?php echo esc_attr( $sbox_icon['value'] ); ?>"></i>
			</div>
			<?php endif; if( !empty( $sbox_title ) ) : ?>
			<h3 class="item-title">
				<a <?php echo $attr; ?>><?php echo esc_html( $sbox_title ); ?></a>
			</h3>
			<?php endif; if( !empty( $sbox_content ) ) : ?>
			<p><?php echo esc_html( $sbox_content ); ?></p>
			<?php endif; ?>
		</div>
	</div>
	<?php endforeach; ?>
</div>
<?php endif; ?>