<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Aeen_Core;

use Elementor\Utils;
use Elementor\Group_Control_Image_Size;
extract($data);

$service_boxes5 = $data[ 'service_boxes5' ];


?>

<div class="bg-half-light">
	<div class="row">
	<?php foreach( $service_boxes5 as $box ) : 
	    $title   = $box[ 'sbox5_title' ];
	    $content = $box[ 'sbox5_content' ];
	    $icon    = $box[ 'sbox5_icon' ];
	    $animation_delay = $box[ 'animation_delay' ];
	    $excerpt = wp_trim_words( $content, $excerpt_count, '...' );

	?>
	<div class="col-lg-4 wow animated fadeInUp" data-wow-delay="<?php echo esc_attr( $animation_delay ); ?>s">
		<div class="why-choose-box">
			<?php if( !empty( $icon['value'] ) ) : ?>
			<div class="item-icon">
				<i class="<?php echo esc_attr( $icon['value'] ); ?>"></i>
			</div>
			<?php endif; ?>
			<div class="item-content">
				<?php if( !empty( $title ) ) : ?>
				<h3 class="item-title"><?php echo esc_html( $title ); ?></h3>
				<?php endif; if( !empty( $content ) ) : ?>
				<p><?php echo wp_kses_post( $excerpt ); ?></p>
				<?php endif; ?>
			</div>
		</div>
	</div>
	<?php endforeach; ?>
	</div>
</div>