<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Aeen_Core;

use Elementor\Utils;
use Elementor\Group_Control_Image_Size;
extract($data);

$attr = '';
if ( !empty( $data['sbox2_url']['url'] ) ) {
	$attr  = 'href="' . $data['sbox2_url']['url'] . '"';
	$attr .= !empty( $data['sbox2_url']['is_external'] ) ? ' target="_blank"' : '';
	$attr .= !empty( $data['sbox2_url']['nofollow'] ) ? ' rel="nofollow"' : '';
}

$box_style      = $data[ 'box_style' ];
$service_box8 = $data[ 'service_box8' ];

?>

<?php if( $box_style == 'style8' ) : ?>
<div class="row">
	<?php foreach( $service_box8 as $service_box ) : 
		$sbox_title    = $service_box[ 'sbox8_title' ];
		$sbox_content  = $service_box[ 'sbox8_content' ];
		$img = wp_get_attachment_image( $service_box['sbox8_image']['id'], 'full' ); 

	?>
	<div class="col-lg-4 col-12">
		<div class="single-practice-box3">
			<?php if( !empty( $img ) ) : ?>
			<div class="item-icon">
				<?php echo wp_kses_post( $img ); ?>
			</div>
			<?php endif; if( !empty( $sbox_title ) ) : ?>
			<h3 class="item-title"><?php echo esc_html( $sbox_title ); ?></h3>
			<?php endif; if( !empty( $sbox_content ) ) : ?>
			<p><?php echo esc_html( $sbox_content ); ?></p>
			<?php endif; ?>
		</div>
	</div>
	<?php endforeach; ?>
</div>
<?php endif; ?>

