<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Aeen_Core;
use radiustheme\aeen\inc\Helper;
extract( $data );

$cpt         = AEEN_CORE_CPT;

    $args = array(
        'post_type'      => "{$cpt}_team",
        'posts_per_page' => $data['number'],
        'orderby'        => $data['orderby'],
    );

if ( !empty( $data['cat'] ) ) {
    $args['tax_query'] = array(
        array(
            'taxonomy' => "{$cpt}_team_category",
            'field' => 'term_id',
            'terms' => $data['cat'],
        )
    );
}
switch ( $data['orderby'] ) {
    case 'title':
    case 'menu_order':
    $args['order'] = 'ASC';
    break;
}
$query = new \WP_Query( $args );
$i = 0;
?>

<div class="row rc-carousel nav-control-layout2" data-options='{"trigger_start": 991, "trigger_end": 0}' data-loop="true" data-items="30" data-margin="30" data-autoplay="false" data-autoplay-timeout="5000" data-smart-speed="700" data-dots="false" data-nav="true"
 data-nav-speed="false" data-r-x-small="1" data-r-x-small-nav="true" data-r-x-small-dots="false" data-r-x-medium="2" data-r-x-medium-nav="true" data-r-x-medium-dots="false" data-r-small="2" data-r-small-nav="true" data-r-small-dots="false" data-r-medium="3"
 data-r-medium-nav="true" data-r-medium-dots="false" data-r-large="3" data-r-large-nav="true" data-r-large-dots="false" data-r-extra-large="3" data-r-extra-large-nav="true" data-r-extra-large-dots="false">
<?php if ( $query->have_posts() ) : ?>
<?php while ( $query->have_posts() ) : $query->the_post(); ?>
    <?php
            $id           = get_the_id();             
            $_designation = get_post_meta( $id, "{$cpt}_team_desigantion", true );
            $content      = Helper::get_current_post_content();               
            $socials      = get_post_meta( $id, "{$cpt}_team_social", true );
            $i           += 2;
        ?>
    <div class="col-md-4 col-12 wow animated fadeInUp" data-wow-delay="0.<?php echo esc_attr( $i ); ?>s">
        <div class="team-box-layout1">
            <?php if( has_post_thumbnail() ) : ?>
            <div class="item-figure">
                <?php the_post_thumbnail( "aeen-size-team2" ); ?>
            </div>
            <?php endif; ?>
            <div class="item-content">
                <h3 class="item-title"><a href="<?php the_permalink();?>"><?php the_title(); ?></a></h3>
                <div class="item-sub-title"><?php echo esc_html( $_designation ); ?></div>
            </div>
        </div>
    </div>
<?php endwhile; wp_reset_postdata(); ?>
<?php endif; ?>
</div>