<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Aeen_Core;
use radiustheme\aeen\inc\Helper;
extract( $data );

global $post;

$cpt         = AEEN_CORE_CPT;
$thumb_size  = "{$cpt}-size-team2";
    $args = array(
        'post_type'      => "{$cpt}_team",
        'posts_per_page' => $data['number'],
        'orderby'        => $data['orderby'],
    );

if ( !empty( $data['cat'] ) ) {
    $args['tax_query'] = array(
        array(
            'taxonomy' => "{$cpt}_team_category",
            'field' => 'term_id',
            'terms' => $data['cat'],
        )
    );
}
switch ( $data['orderby'] ) {
    case 'title':
    case 'menu_order':
    $args['order'] = 'ASC';
    break;
}
$query = new \WP_Query( $args );
$i = 0;

?>

<div class="row nav-control-layout2 testimonial-active">
    <?php if ( $query->have_posts() ) : ?>
    <?php while ( $query->have_posts() ) : $query->the_post(); ?>
    <?php
            $id            = get_the_id();             
            $_designation  = get_post_meta( $id, "{$cpt}_team_desigantion", true );
            $content       = Helper::get_current_post_content();               
            $socials       = get_post_meta( $id, 'aeen_team_socials', true );
            $social_fields = Helper::team_socials();
            $i            += 2;
    ?>
    <div class="col-md-4 col-12 wow animated fadeInUp" data-wow-delay="0.<?php echo esc_attr( $i ); ?>s">
        <div class="team-box-layout2">
            <div class="item-figure">
                <?php if( has_post_thumbnail() ) : 
                    the_post_thumbnail( "{$cpt}-size-team2" );
                endif; ?>
                <?php if( !empty( $socials ) && ( $data['item_social'] == 'yes' ) ) : ?>
                <ul class="team-social">
                    <?php 
                        foreach ( $socials as $key => $social ): 
                        if ( !empty( $social ) ) : ?>
                    <li class="single-item <?php echo esc_attr( $key ); ?>">
                        <a href="<?php echo esc_url( $social );?>" title="<?php echo esc_attr( $key ); ?>"><i
                                class="fab <?php echo esc_attr( $social_fields[$key]['icon'] );?>"></i></a></li>
                    <?php endif; endforeach; ?>
                </ul>
                <?php endif; ?>
            </div>
            <div class="item-content">
                <h3 class="item-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                <?php if( $_designation && ( $data['designation_display'] == 'yes' ) ) : ?>
                <div class="item-sub-title"><?php echo esc_html( $_designation ); ?></div>
                <?php endif; ?>
            </div>
        </div>
    </div>
    <?php endwhile; wp_reset_postdata(); ?>
    <?php endif; ?>
</div>