<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Aeen_Core;

$slides = array();
foreach ( $data['testimonials'] as $slide ) {
	$slides[] = array(
		'id'          => 'slide-' . time().rand( 1, 99 ),
		'picture'     => $slide['picture']['id'] ? $slide['picture']['id'] : '',
		'testi_name'  => $slide['testi_name'],
		'testi_desig' => $slide['testi_desig'],
		'content' 	  => $slide['content'],
	);
}

$slick_content = array( 
    'slidesToShow'        => $data['slide_to_show'],
    'slidesToShowTab'     => $data['slide_to_show_tab'],
    'slidesToShowMobile'  => $data['slide_to_show_mobile'],
    'slidesToShowMobiles' => $data['slide_to_show_small_mobile'],
    'slidesToScroll'      => 1,
    'infinite'            => true,
    'speed'               => 1000,
    'dots'                => false,
    'arrows'              => false,
    'pauseOnHover'        => true,
    'cssEase'             => 'ease-in-out',
    'centerMode'          => false,
    'adaptiveHeight'      => false,
    'rtl'                 => false,
);
$data['slick_content_data'] = json_encode( $slick_content );

$slider_autoplay = $data['slider_autoplay'] ? 'true' : 'false';
?>

<div class="testimonial-wrap-layout1">
    <div class="section-heading">
        <?php if( !empty( $data['testi2_heading'] ) ) : ?>
        <div class="heading-sub-title"><?php echo esc_html( $data['testi2_heading'] ); ?></div>
        <?php endif; if( !empty( $data['testi2_title'] ) ) : ?>
        <h2 class="heading-main-title"><?php echo wp_kses_post( $data['testi2_title'] ); ?></h2>
        <?php endif; ?>
    </div>
    <div class="quote-icon">
        <i class="flaticon-quote"></i>
    </div>
    <div class="rc-carousel dot-control-layout1" data-loop="true" data-items="3" data-margin="10" data-autoplay="<?php echo esc_attr($slider_autoplay); ?>" data-autoplay-timeout="5000" data-smart-speed="700" data-dots="true" data-nav="false" data-nav-speed="false" data-r-x-small="<?php echo esc_attr( $data['slide_to_show_small_mobile'] );?>" data-r-x-small-nav="false"
     data-r-x-small-dots="true" data-r-x-medium="1" data-r-x-medium-nav="false" data-r-x-medium-dots="true" data-r-small="<?php echo esc_attr( $data['slide_to_show_tab'] );?>" data-r-small-nav="false" data-r-small-dots="true" data-r-medium="<?php echo esc_attr( $data['slide_to_show'] );?>" data-r-medium-nav="false" data-r-medium-dots="true" data-r-large="<?php echo esc_attr( $data['slide_to_show'] );?>"
     data-r-large-nav="false" data-r-large-dots="true" data-r-extra-large="<?php echo esc_attr( $data['slide_to_show'] );?>" data-r-extra-large-nav="false" data-r-extra-large-dots="true">
        <?php foreach( $slides as $slide ) : ?>
        <div class="testimonial-box-layout1">
            <?php if( $slide['content'] ) : ?>
            <p><?php echo wp_kses_post( $slide['content'] ); ?></p>
            <?php endif; ?>
            <div class="media">
                <?php if ( $slide['picture'] ): 
                    $img = wp_get_attachment_image( $slide['picture'], 'full' ); 
                ?>
                <?php echo wp_kses_post( $img ); ?>
                <?php endif; ?>
                <div class="media-body space-sm">
                    <?php if ( $slide['testi_name'] ): ?>
                    <h3 class="item-title"><?php echo wp_kses_post( $slide['testi_name'] ); ?></h3>
                    <?php endif; if ( $slide['testi_desig'] ): ?>
                    <div class="item-designation"><?php echo wp_kses_post( $slide['testi_desig'] ); ?></div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        <?php endforeach; ?>
    </div>
</div>