<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Aeen_Core;

extract( $data );

$slides = array();
foreach ( $data['testimonials'] as $slide ) {
    $slides[] = array(
        'id'          => 'slide-' . time().rand( 1, 99 ),
        'picture'     => $slide['picture']['id'] ? $slide['picture']['id'] : '',
        'testi_name'  => $slide['testi_name'],
        'testi_desig' => $slide['testi_desig'],
        'content'     => $slide['content'],
    );
}

?>

<div class="testimonial-box-layout2">
    <div class="slick-carousel slick-content" data-slick='{
    "slidesToShow": 1,
    "slidesToShowTab": 1,
    "slidesToShowMobile": 1,
    "slidesToShowMobiles": 1,
    "slidesToScroll": 1,
    "infinite": true,
    "speed": 800,
    "autoplaySpeed": 800,
    "dots": false,
    "arrows": false,
    "pauseOnHover": true,
    "fade": false,
    "cssEase": "ease-in-out",
    "autoplay": false,
    "centerMode": false,
    "adaptiveHeight": false,
    "asNavFor": ".slick-nav"
    }'> 

        <?php foreach( $slides as $slide ) : ?>

        <div class="nav-content">
            <div class="quote-icon">
                <i class="flaticon-quote"></i>
            </div>
            <?php if( $slide['content'] ) : ?>
            <p><?php echo wp_kses_post( $slide['content'] ); ?></p>
            <?php endif; ?>
        </div>

        <?php endforeach; ?>

    </div>

    
    <div class="slick-carousel slick-nav" data-slick='{
    "slidesToShow": <?php echo esc_html( $data['slide_to_show'] ); ?>,
    "slidesToShowTab": <?php echo esc_html( $data['slide_to_show'] ); ?>,
    "slidesToShowMobile": <?php echo esc_html( $data['slide_to_show_mob'] ); ?>,
    "slidesToShowMobiles": 1,
    "slidesToScroll": 1,
    "infinite": true,
    "speed": 1000,
    "autoplaySpeed": 1000,
    "dots": false,
    "arrows": true,
    "lazyLoad": "progressive",
    "pauseOnHover": true,
    "autoplay": false,
    "focusOnSelect": true,
    "centerMode": false,
    "adaptiveHeight": false,
    "centerMode": true,
    "asNavFor": ".slick-content",
    "prevArrow": "<span class=\"slick-prev slick-navigation\"><i class=\"fas fa-angle-left\"></i></span>",
    "nextArrow": "<span class=\"slick-next slick-navigation\"><i class=\"fas fa-angle-right\"></i></span>"
    }'>
    <?php foreach( $slides as $slide ) : ?>
        <div class="nav-item">
            <div class="media">
                <?php if ( $slide['picture'] ): 
                    $img = wp_get_attachment_image( $slide['picture'], 'full' );
                ?>
                <?php echo wp_kses_post( $img ); ?>
                <?php endif; ?>
                <div class="media-body space-sm">
                    <?php if ( $slide['testi_name'] ): ?>
                    <h3 class="item-title"><?php echo wp_kses_post( $slide['testi_name'] ); ?></h3>
                    <?php endif; if ( $slide['testi_desig'] ): ?>
                    <div class="item-designation"><?php echo wp_kses_post( $slide['testi_desig'] ); ?></div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        <?php endforeach; ?>
    </div>
    
</div>
