<?php
/**
 * This file can be overridden by copying it to yourtheme/elementor-custom/title/view.php
 * 
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Aeen_Core;

extract( $data );

$slides = array();
foreach ( $data['testimonials'] as $slide ) {
    $slides[] = array(
        'id'          => 'slide-' . time().rand( 1, 99 ),
        'picture'     => $slide['picture']['id'] ? $slide['picture']['id'] : '',
        'testi_name'  => $slide['testi_name'],
        'testi_desig' => $slide['testi_desig'],
        'content'     => $slide['content'],
    );
}

if (is_rtl()) {
    $rtl = true;
    $dir = 'rtl';
} else {
    $rtl = false;
    $dir = 'ltr';
}

$slick_content1 = array( 
    'slidesToShow'        => 1,
    'slidesToShowTab'     => 1,
    'slidesToShowMobile'  => 1,
    'slidesToShowMobiles' => 1,
    'slidesToScroll'      => 1,
    'infinite'            => true,
    'speed'               => 800,
    'autoplaySpeed'       => 800,
    'dots'                => false,
    'arrows'              => true,
    'pauseOnHover'        => true,
    'fade'                => false,
    'cssEase'             => 'ease-in-out',
    'autoplay'            => false,
    'centerMode'          => false,
    'adaptiveHeight'      => false,
    'rtl'                 => false,
    'asNavFor'            => '.slick-nav',
    'prevArrow'           => '<span class="slick-prev slick-navigation"><i class="fas fa-angle-left"></i></span>',
    'nextArrow'           => '<span class="slick-next slick-navigation"><i class="fas fa-angle-right"></i></span>',
    
);

$slick_content1 = htmlspecialchars(wp_json_encode($slick_content1), ENT_QUOTES, 'UTF-8');


$slick_content2 = array( 
    'slidesToShow'        => $data['slide_to_show'],
    'slidesToShowTab'     => $data['slide_to_show_tab'],
    'slidesToShowMobile'  => $data['slide_to_show_mobile'],
    'slidesToShowMobiles' => $data['slide_to_show_small_mobile'],
    'slidesToScroll'      => 1,
    'infinite'            => true,
    'speed'               => 1000,
    'autoplaySpeed'       => 1000,
    'dots'                => false,
    'arrows'              => false,
    'lazyLoad'            => 'progressive',
    'pauseOnHover'        => true,
    'autoplay'            => false,
    'focusOnSelect'       => true,
    'centerMode'          => false,
    'adaptiveHeight'      => false,
    'centerMode'          => true,
    'asNavFor'            => '.slick-content',
    'prevArrow'           => '<span class="slick-prev slick-navigation"><i class="fas fa-angle-left"></i></span>',
    'nextArrow'           => '<span class="slick-next slick-navigation"><i class="fas fa-angle-right"></i></span>',
);
$slick_content2 = htmlspecialchars(wp_json_encode($slick_content2), ENT_QUOTES, 'UTF-8');

?>
<div class="testimonial-box-layout2 testimonial-box-layout4">
    <div class="slick-carousel slick-content" data-slick='<?php echo esc_attr( $slick_content1 ); ?>'>
        <?php foreach( $slides as $slide ) : ?>
        <div class="nav-content">
            <?php if( !empty( $testi2_icon['value'] ) ) : ?>
            <div class="quote-icon">
                <i class="<?php echo esc_attr( $testi2_icon['value'] ); ?>"></i>
            </div>
            <?php endif; ?>
            <?php if( $slide['content'] ) : ?>
            <p><?php echo wp_kses_post( $slide['content'] ); ?></p>
            <?php endif; ?>
        </div>
        <?php endforeach; ?>
    </div>
    <div class="slick-carousel slick-nav" data-slick='<?php echo esc_attr( $slick_content2 ); ?>'>
        <?php foreach( $slides as $slide ) : ?>
        <div class="nav-item">
            <div class="media">
                <?php if ( $slide['picture'] ): 
                    $img = wp_get_attachment_image( $slide['picture'], 'full' ); 
                ?>
                <?php echo wp_kses_post( $img ); ?>
                <?php endif; ?>
                <div class="media-body space-sm">
                    <?php if ( $slide['testi_name'] ): ?>
                    <h3 class="item-title"><?php echo wp_kses_post( $slide['testi_name'] ); ?></h3>
                    <?php endif; if ( $slide['testi_desig'] ): ?>
                    <div class="item-designation"><?php echo wp_kses_post( $slide['testi_desig'] ); ?></div>
                    <?php endif; ?>
                </div>
            </div>
        </div>
        <?php endforeach; ?>
    </div>
</div>
