<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Aeen_Core;


if ( ! defined( 'ABSPATH' ) ) exit;

if ( !class_exists( 'RT_Postmeta' ) ) {
	return;
}

$Postmeta = \RT_Postmeta::getInstance();

$prefix = AEEN_CORE_THEME_PREFIX;

/*-------------------------------------
#. Layout Settings
---------------------------------------*/
$nav_menus = wp_get_nav_menus( array( 'fields' => 'id=>name' ) );
$nav_menus = array( 'default' => __( 'Default', 'aeen-core' ) ) + $nav_menus;

$Postmeta->add_meta_box( '{$prefix}_page_settings', esc_html__( 'Layout Settings', 'aeen-core' ), array( 'page', 'post', "{$prefix}_team", "{$prefix}_case_study", "{$prefix}_practice" ), '', '', 'high', array(
	'fields' => array(
		"{$prefix}_layout" => array(
			'label'   => esc_html__( 'Layout', 'aeen-core' ),
			'type'    => 'select',
			'options' => array(
				'default'       => esc_html__( 'Default', 'aeen-core' ),
				'full-width'    => esc_html__( 'Full Width', 'aeen-core' ),
				'left-sidebar'  => esc_html__( 'Left Sidebar', 'aeen-core' ),
				'right-sidebar' => esc_html__( 'Right Sidebar', 'aeen-core' ),
				),
			'default'  			=> 'default',
		),	
		"{$prefix}_header" => array(
			'label'   => esc_html__( 'Header Layout', 'aeen-core' ),
			'type'    => 'select',
			'options' => array(
				'default' => esc_html__( 'Default', 'aeen-core' ),
				'1'       => esc_html__( 'Style 1', 'aeen-core' ),
				'2'       => esc_html__( 'Style 2', 'aeen-core' ),	
				'3'       => esc_html__( 'Style 3', 'aeen-core' ),	
			),
			'default'  => 'default',
		),
		"{$prefix}_transparent_header" => array(
	      'label'   => esc_html__('Transparent Header', 'aeen-core'),
	      'type'    => 'select',
	      'options' => array(
	        'default' => esc_html__('Default', 'aeen-core'),
	        'on'      => esc_html__('Enabled', 'aeen-core'),
	        'off'     => esc_html__('Disabled', 'aeen-core'),
	      ),
	      'default' => 'default',
	    ),
	    "{$prefix}_top_bar" => array(
	      'label'   => __('Top Bar', 'aeen-core'),
	      'type'    => 'select',
	      'options' => array(
	        'default' => __('Default', 'aeen-core'),
	        'on'      => __('Enabled', 'aeen-core'),
	        'off'     => __('Disabled', 'aeen-core'),
	      ),
	      'default' => 'default',
	    ),	
		"{$prefix}_footer" => array(
			'label'   => esc_html__( 'Footer Layout', 'aeen-core' ),
			'type'    => 'select',
			'options' => array(
				'default' => esc_html__( 'Default', 'aeen-core' ),
				'1'       => esc_html__( 'Style 1', 'aeen-core' ),
				'2'       => esc_html__( 'Style 2', 'aeen-core' ),		
				'3'       => esc_html__( 'Style 3', 'aeen-core' ),		
			),
			'default'  => 'default',
		),
		"{$prefix}_banner" => array(
			'label'   => esc_html__( 'Banner', 'aeen-core' ),
			'type'    => 'select',
			'options' => array(
				'default' => esc_html__( 'Default', 'aeen-core' ),
				'on'      => esc_html__( 'Enable', 'aeen-core' ),
				'off'     => esc_html__( 'Disable', 'aeen-core' ),
				),
			'default'  => 'default',
		),
		"{$prefix}_breadcrumb" => array(
			'label'   => esc_html__( 'Breadcrumb', 'aeen-core' ),
			'type'    => 'select',
			'options' => array(
				'default' => esc_html__( 'Default', 'aeen-core' ),
				'on'      => esc_html__( 'Enable', 'aeen-core' ),
				'off'     => esc_html__( 'Disable', 'aeen-core' ),
				),
			'default'  => 'default',
		),
		"{$prefix}_banner_type" => array(
			'label'   => esc_html__( 'Banner Background Type', 'aeen-core' ),
			'type'    => 'select',
			'options' => array(
				'default'  => esc_html__( 'Default', 'aeen-core' ),
				'bgimg'    => esc_html__( 'Background Image', 'aeen-core' ),
				'bgcolor'  => esc_html__( 'Background Color', 'aeen-core' ),
				),
			'default'  => 'default',
		),
		"{$prefix}_banner_bgimg" => array(
			'label' => esc_html__( 'Banner Background Image', 'aeen-core' ),
			'type'  => 'image',
			'desc'  => esc_html__( 'If not selected, default will be used', 'aeen-core' ),
		),

		"{$prefix}_banner_bgcolor" => array(
			'label' => esc_html__( 'Banner Background Color', 'aeen-core' ),
			'type'  => 'color_picker',
			'desc'  => esc_html__( 'If not selected, default will be used', 'aeen-core' ),
		),	
		"{$prefix}_inner_padding_top" => array(
			'label' => esc_html__( 'Banner Padding Top', 'aeen-core' ),
			'type'  => 'text',
			'default'  => '',
			'desc'  => esc_html__( 'If not selected, default will be used 152 "px"', 'aeen-core' ),
		),	
		"{$prefix}_inner_padding_bottom" => array(
			'label' => esc_html__( 'Banner Padding Bottom', 'aeen-core' ),
			'type'  => 'text',
			'default'  => '',
			'desc'  => esc_html__( 'If not selected, default will be used 160 "px" ', 'aeen-core' ),
		),	
	),
	) 
);


/*-------------------------------------
#. Team Meta
---------------------------------------*/
$team_socials = array(
	'facebook' => array(
		'label' => __( 'Facebook', 'aeen' ),
		'type'  => 'text',
		'icon'  => 'fa-facebook-f',
	),
	'twitter' => array(
		'label' => __( 'Twitter', 'aeen' ),
		'type'  => 'text',
		'icon'  => 'fa-twitter',
	),
	'linkedin' => array(
		'label' => __( 'Linkedin', 'aeen' ),
		'type'  => 'text',
		'icon'  => 'fa-linkedin',
	),
	'gplus' => array(
		'label' => __( 'Google Plus', 'aeen' ),
		'type'  => 'text',
		'icon'  => 'fa-google-plus',
	),
	'behance' => array(
		'label' => __( 'Behance', 'aeen' ),
		'type'  => 'text',
		'icon'  => 'fa-behance',
	),
	'dribbble' => array(
		'label' => __( 'Dribbble', 'aeen' ),
		'type'  => 'text',
		'icon'  => 'fa-dribbble',
	),
	'skype' => array(
		'label' => __( 'Skype', 'aeen' ),
		'type'  => 'text',
		'icon'  => 'fa-skype',
	),
	'youtube' => array(
		'label' => __( 'Youtube', 'aeen' ),
		'type'  => 'text',
		'icon'  => 'fa-youtube-play',
	),
	'pinterest' => array(
		'label' => __( 'Pinterest', 'aeen' ),
		'type'  => 'text',
		'icon'  => 'fa-pinterest-p',
	),
	'instagram' => array(
		'label' => __( 'Instagram', 'aeen' ),
		'type'  => 'text',
		'icon'  => 'fa-instagram',
	),
	'github' => array(
		'label' => __( 'Github', 'aeen' ),
		'type'  => 'text',
		'icon'  => 'fa-github',
	),
	'stackoverflow' => array(
		'label' => __( 'Stackoverflow', 'aeen' ),
		'type'  => 'text',
		'icon'  => 'fa-stack-overflow',
	),
);
$team_socials = apply_filters( 'team_socials', $team_socials );


$Postmeta->add_meta_box( 'aeen_team_settings', __( 'Team Member Settings', 'aeen-core' ), array( 'aeen_team' ), '', '', 'high', array(
	'fields' => array(
		'aeen_team_desigantion' => array(
			'label' => __( 'Designation', 'aeen-core' ),
			'type'  => 'text',
		),
		'aeen_team_parea' => array(
			'label' => __( 'Practice Areas', 'aeen-core' ),
			'type'  => 'textarea',
		),
		'aeen_team_experience' => array(
			'label' => __( 'Experience', 'aeen-core' ),
			'type'  => 'text',
		),
		'aeen_team_address' => array(
			'label' => __( 'Location', 'aeen-core' ),
			'type'  => 'text',
		),
		'aeen_team_email' => array(
			'label' => __( 'Email', 'aeen-core' ),
			'type'  => 'text',
		),
		'aeen_team_phone' => array(
			'label' => __( 'Phone', 'aeen-core' ),
			'type'  => 'text',
		),
		'aeen_team_socials_header' => array(
			'label' => __( 'Socials', 'aeen-core' ),
			'type'  => 'header',
			'desc'  => __( 'Enter your social links here', 'aeen-core' ),
		),
		'aeen_team_socials' => array(
			'type'  => 'group',
			'value'  => $team_socials
		),
	)
) );


$Postmeta->add_meta_box( 'aeen_team_educations', __( 'Education', 'aeen-core' ), array( 'aeen_team' ), '', '', 'high', array(
	'fields' => array(
		'aeen_team_edu_title' => array(
			'label' => __( 'Education Title', 'aeen-core' ),
			'type'  => 'text',
		),
		'aeen_team_education' => array(
			'type'  => 'repeater',
			'button' => __( 'Add Education', 'aeen-core' ),
			'value'  => array(
				'edu_name' => array(
					'label' => __( 'Title', 'aeen-core' ),
					'type'  => 'text',
					'desc'  => __( 'BA, Columbia College', 'aeen-core' ),
				),
				'edu_duration' => array(
					'label' => __( 'Duration', 'aeen-core' ),
					'type'  => 'text',
					'desc'  => __( '(2015 – 2018)', 'aeen-core' ),
				),
			)
		),
	)
) );


$Postmeta->add_meta_box( 'aeen_team_practices', __( 'Practice', 'aeen-core' ), array( 'aeen_team' ), '', '', 'high', array(
	'fields' => array(
		'aeen_team_practice' => array(
			'type'  => 'repeater',
			'button' => __( 'Add Practice', 'aeen-core' ),
			'value'  => array(
				'practice_name' => array(
					'label' => __( 'Title', 'aeen-core' ),
					'type'  => 'text',
					'desc'  => __( 'Leading lawyer in London for Dispute Resolution', 'aeen-core' ),
				),
				'practice_duration' => array(
					'label' => __( 'Duration', 'aeen-core' ),
					'type'  => 'text',
					'desc'  => __( 'The Legal500 (2015 – 2018)', 'aeen-core' ),
				),
			)
		),
	)
) );


$Postmeta->add_meta_box( 'aeen_team_skills', __( 'Skills', 'aeen-core' ), array( 'aeen_team' ), '', '', 'high', array(
	'fields' => array(
		'aeen_team_skill_desc' => array(
			'label' => __( 'Skill Content', 'aeen-core' ),
			'type'  => 'textarea',
		),
		'aeen_team_skill' => array(
			'type'  => 'repeater',
			'button' => __( 'Add New Skill', 'aeen-core' ),
			'value'  => array(
				'skill_name' => array(
					'label' => __( 'Skill Name', 'aeen-core' ),
					'type'  => 'text',
					'desc'  => __( 'eg. Marketing', 'aeen-core' ),
				),
				'skill_value' => array(
					'label' => __( 'Skill Percentage (%)', 'aeen-core' ),
					'type'  => 'text',
					'desc'  => __( 'eg. 75', 'aeen-core' ),
				),
			)
		),
	)
) );

// Case Studies Meta
$Postmeta->add_meta_box( 'aeen_case_study_settings', __( 'Case Study Settings', 'aeen-core' ), array( 'aeen_case_study' ), '', '', 'high', array(
	'fields' => array(
		'aeen_case_desigantion' => array(
			'label' => __( 'Designation', 'aeen-core' ),
			'type'  => 'text',
		),
		'case_date' => array(
			'label' => __( 'Date', 'aeen-core' ),
			'type'  => 'text',
		),
		'case_client' => array(
			'label' => __( 'Client', 'aeen-core' ),
			'type'  => 'text',
		),
		'case_website' => array(
			'label' => __( 'Website', 'aeen-core' ),
			'type'  => 'text',
		),
		'case_about_info' => array(
			'label' => __( 'About Info', 'aeen-core' ),
			'type'  => 'textarea',
		),
		'case_about_sub_con' => array(
			'label' => __( 'About Sub Content', 'aeen-core' ),
			'type'  => 'textarea',
		),
		'case_challenge_info' => array(
			'label' => __( 'Challenge Details', 'aeen-core' ),
			'type'  => 'textarea',
		),
		'case_challenges' => array(
			'type'  => 'repeater',
			'button' => __( 'Add Challenge', 'aeen-core' ),
			'value'  => array(
				'challenge_name' => array(
					'label' => __( 'Challenge Name', 'aeen-core' ),
					'type'  => 'text',
					'desc'  => __( 'Estate Planning', 'aeen-core' ),
				),
			)
		),
		'case_process' => array(
			'type'  => 'repeater',
			'button' => __( 'Add Process', 'aeen-core' ),
			'value'  => array(
				'process_name' => array(
					'label' => __( 'Title', 'aeen-core' ),
					'type'  => 'text',
					'desc'  => __( '1. Planning The Case', 'aeen-core' ),
				),
				'process_desc' => array(
					'label' => __( 'Description', 'aeen-core' ),
					'type'  => 'textarea',
					'desc'  => __( 'Up to 45% of a merchant’s budget is spent on commissions charge', 'aeen-core' ),
				),
			)
		),
		'case_result' => array(
			'label' => __( 'Result', 'aeen-core' ),
			'type'  => 'textarea',
		),
	)
) );


$Postmeta->add_meta_box( 'practice_single_layout', esc_html__( 'Practice Layout', 'aeen-core' ), array( "{$prefix}_practice"), '', '', 'high', array(
		'fields' => array(

			"{$prefix}_single_practice_arc_style" => array(
				'label'   => esc_html__( 'Practice Single Layout', 'aeen-core' ),
				'type'    => 'select',
				'options' => array(
					'default' => esc_html__( 'Default', 'aeen-core' ),
					'style1'       => esc_html__( 'Layout 1', 'aeen-core' ),					
					'style2'       => esc_html__( 'Layout 2', 'aeen-core' ),					
					),
				'default'  => 'default',
			),
			"single_practice_featured_img" => array(
			'label'   => esc_html__( 'Featured Image', 'aeen-core' ),
			'type'    => 'select',
			'options' => array(
				'default' => esc_html__( 'Default', 'aeen-core' ),
				'on'      => esc_html__( 'Enable', 'aeen-core' ),
				'off'     => esc_html__( 'Disable', 'aeen-core' ),
				),
			'default'  => 'default',
		),	
		)
) );


$Postmeta->add_meta_box( 'aeen_practices', __( 'Practice Options', 'aeen-core' ), array( 'aeen_practice' ), '', '', 'high', array(
	'fields' => array(
		'aeen_practice_icon' => array(
			'label' => __( 'Practice Icon', 'aeen-core' ),
      		'type'  => 'icon_select',
      		'desc'  => __( "Choose a Icon for your practice", 'aeen-core' ),
      		'options' => get_flaticon_icons(),
		),
	)
) );


// Flat Icons

function get_flaticon_icons()
  {
    return [
      "flaticon-search"        => "search",
      "flaticon-book"          => "book",
      "flaticon-law"           => "law",
      "flaticon-law-1"         => "law-1",
      "flaticon-law-2"         => "law-2",
      "flaticon-arrest"        => "arrest",
      "flaticon-career"        => "career",
      "flaticon-book-1"        => "book-1",
      "flaticon-leader"        => "leader",
      "flaticon-feedback"      => "feedback",
      "flaticon-medal"         => "medal",
      "flaticon-group"         => "group",
      "flaticon-quote"         => "quote",
      "flaticon-law-3"         => "law-3",
      "flaticon-first"         => "first",
      "flaticon-shield"        => "shield",
      "flaticon-ecommerce"     => "ecommerce",
      "flaticon-chat"          => "chat",
      "flaticon-worker"        => "worker",
      "flaticon-price"         => "price",
      "flaticon-cup"           => "cup",
      "flaticon-phone"         => "phone",
      "flaticon-mail"          => "mail",
      "flaticon-pin"           => "pin",
      "flaticon-search-1"      => "search-1",
      "flaticon-shopping-cart" => "shopping-cart",
      "flaticon-back"          => "back",
      "flaticon-chevron"       => "chevron",
      "flaticon-power"         => "power"
    ];
  }
