<?php
/**
 * @author  RadiusTheme
 * @since   1.0
 * @version 1.0
 */

namespace radiustheme\Aeen_Core;
use radiustheme\aeen\inc\RDTheme;

use \RT_Posts;

if ( !class_exists( 'RT_Posts' ) ) {
	return;
}

$prefix = AEEN_CORE_CPT;

$post_types = array(
	"{$prefix}_team"  => array(
		'title'          => __( 'Team', 'aeen-core' ),
		'plural_title'   => __( 'Teams', 'aeen-core' ),
		'menu_icon'      => 'dashicons-buddicons-buddypress-logo',
		'show_in_rest'   => true,
		'supports'       => array( 'title', 'thumbnail', 'editor' ),
	),
	"{$prefix}_case_study"  => array(
		'title'          => __( 'Case Study', 'aeen-core' ),
		'plural_title'   => __( 'Case Studies', 'aeen-core' ),
		'menu_icon'      => 'dashicons-welcome-learn-more',
		'show_in_rest'   => true,
		'supports'       => array( 'title', 'thumbnail', 'editor' ),
	),
	"{$prefix}_practice"  => array(
		'title'          => __( 'Practice', 'aeen-core' ),
		'plural_title'   => __( 'Practices', 'aeen-core' ),
		'menu_icon'      => 'dashicons-edit',
		'show_in_rest'   => true,
		'supports'       => array( 'title', 'thumbnail', 'editor' ),
	),
);
$taxonomies = array(
	"{$prefix}_team_category" => array(
		'title'        => __( 'Team Category', 'aeen-core' ),
		'plural_title' => __( 'Categories', 'aeen-core' ),
		'post_types'   => "{$prefix}_team",
		'show_in_rest'   => true,
	),
	"{$prefix}_case_study_category" => array(
		'title'        => __( 'Case Study Category', 'aeen-core' ),
		'plural_title' => __( 'Categories', 'aeen-core' ),
		'post_types'   => "{$prefix}_case_study",
		'show_in_rest'   => true,
	),
	"{$prefix}_practice_category" => array(
		'title'        => __( 'Practice Category', 'aeen-core' ),
		'plural_title' => __( 'Categories', 'aeen-core' ),
		'post_types'   => "{$prefix}_practice",
		'show_in_rest'   => true,
	),
);

$Posts = RT_Posts::getInstance();
$Posts->add_post_types( $post_types );
$Posts->add_taxonomies( $taxonomies );